Registry Toolkit Help Contents

Registry Toolkit Ó is a utility for that performs search &/or replacement operations on the Windows registry. Registry Toolkit is intended for Windows 2000 and above, including XP, Windows 2003, and Vista (all versions). 32-bit and 64-bit (x64) versions are available.

The program can search/replace in registry data, values, keys (or any combination). You can specify the types of data to process and search multiple keys using wild cards. Replaces can be previewed in advance. The browse function can be used to locate a specify key to operate on. A Find Dialog is also available to search your results in the main dialog for a string. An edit / create function is available for keys, values, & data. Manual delete, after confirmation, of keys & values can be done. The program can also perform copy / move / delete/ export operations on specific values via the Operations Dialog. A Restore Last Change function and automatically saved multiple output files (REGEDIT4 .reg format) can be used to restore past changes of s/r operation, examine search results, or preview replaces. A built-in dialog is also available to preview replaces. Data can be exported from the user interface or via scripts. The Import function includes a comparison display of data to be imported vs. existing data. Registry Toolkit will operate on a remote registry (if you have permission to do so). Scripts from the command line can be used for multiple operations, including multiple s/r strings within specific keys. Finally, the program offers an avenue to delete keys and delete values via special .reg files. This can be used in automated routines via a .bat file or from the command line.

Please See Important Notes before using Registry Toolkit for the first time.


Important Notes

Registry Toolkit was developed for users who are familiar with the Windows registry and the potential hazards associated with editing/changing the registry. If you are a 'less technical' computer user you may find it interesting to examine the registry via search-only operations. Please be advised, however, that replacements &/or edits to your registry may cause your computer to stop functioning correctly. You should be thoroughly familiar with the potential impact of the changes you are making before you make them.

Registry Toolkit has a Restore Last Change function and an Output/Undo File function that can be used restore changes made to registry by Registry Toolkit via the Search/Replace function or the Operations Dialog function. However, p lease note that manual editing changes are not traced via the undo function.

Despite the undo functions we strongly suggest you make regular backups of your registry.

We also suggest that you establish one or more 'test key's that you can use for your initial experiments with Registry Toolkit. For example, create a key - HKEY_CURRENT_USER\Software\Test - and establish some values & data under that key for use during your trials. It has been our experience that Windows tolerates 'meaningless' keys without difficulty. Proceed at your own risk. And, of course, do not try to use a 'test' key to circumvent some other windows function!


Registry Toolkit Main Dialog

Click on the graphic below for help on the main dialog fields.


Browse Dialog

The browse dialog is used to navigate the registry and select a key for a later operation. It is activated via the Edit Menu, the browse button on the main dialog toolbar, or the browse button ( [image]) in the Search & Replace dialog . The Operations Dialog also makes use of the registry browse function. Click on the graphic below for more information.


Search or Replace in Registry Dialog

Search or Replace in Registry

To begin a search/replace:

1. Highlight either "My Registry" (to operate on the entire registry) or a specific key to limit your operation to (perhaps use the browse dialog to select a key).

2. Enter a Search string

3. Enter a Replace string (optionally).

4. Establish your secondary settings in the various fields.

5. Click on the Search (or Replace) button. You will be prompted for the first replace.

Click on the graphic or scroll for details. See Data Types for instructions on how to search/replace for BINARY and DWORD values.

Search Field: Enter the text to search for. To search for binary data, turn on Regular Expression and enter the string in the form \Ox??\, where ?? refers to the hex value. For example, to search for 0C 00 01 in binary data and enter \0x0c\0x00\0x01 in the search string field. To Search for DWORD values, use the decimal value, Uncheck all boxes in the "Settings" section, Check only "Data" in the "Search/Replace In" section, Check only REG_DWORD in the Data tab. You can search for the value of Environment Variables.

Replace Field: Enter the replacement text, if any. If you want the Output/Undo File to list the search-results only, leave blank. If you want the Output/Undo file to list a preview of a search/replace, enter a replace string here but click on the Search button. The replacement string can make use of the Environment Variables operator.

Match Case: Check this for case sensitive searches. Uncheck Match Case when searching for REG_DWORD.

Regular Expression Search/Replace: Check this for a Regular Expression search/replace or when you wish to search binary data. Uncheck Regular Expression when searching for REG_DWORD.

Whole Word Only: Check this for to find the exact word or phrase, surrounded by whitespace. For example, when checked, a search for "Funduc" would find "Funduc Software…" would be found but not "C:\ FUNDUC\DIRTKT". When unchecked, both would be found. Uncheck Whole Word when searching for REG_DWORD.

Search/Replace in Data: Click this to search/replace in value data. This is the only entry that should be checked when searching for REG_DWORD.

Search/Replace in Values: Click this to search/replace in value names. Uncheck when searching for REG_DWORD.

Search/Replace in Keys: Click this to search/replace in keys & subkeys. Uncheck when searching for REG_DWORD.

Start In: This field will be pre-selected based on either the key currently selected in the main dialog or the previous results of a browse operation. You may type in a different key or use the browse button ( [image]) to the right to select a starting point for a search/replace. You can also use wild card characters.

Browse Button ( [image] ): Activates the browse dialog.

Search Button: Click to begin a search.

Replace Button: Click to begin a search/replace.

Cancel Button: Click to abort the operation and close the dialog.

Help Button: Click to activate the online help. The F1 key does the same thing.


Keys - Wild Card Characters

The * and ? wild card operators can be used in the key specification in the GUI and scripts. Please read the notes below. Here are some examples:

Key Term: HKEY_CURRENT_USER\S*
What will be searched:

HKEY_CURRENT_USER\Software

HKEY_CURRENT_USER\SessionInformation

HKEY_CURRENT_USER\Software

HKEY_CURRENT_USER\SYSTEM

Key Term: HKEY_USERS\S-*\Software\Microsoft\Windows NT\CurrentVersion\PrinterPorts

What will be searched:

HKEY_USERS\S-1-5-18\Software\Microsoft\Windows NT\CurrentVersion\PrinterPorts

HKEY_USERS\S-1-5-19\Software\Microsoft\Windows NT\CurrentVersion\PrinterPorts

HKEY_USERS\S-1-5-221425-19\Software\Microsoft\Windows NT\CurrentVersion\PrinterPorts

Key Term: HKEY_CURRENT_USER\Software\?est

What will be searched:

HKEY_CURRENT_USER\Software\Test

HKEY_CURRENT_USER\Software\Best

Key Term: HKEY_CURRENT_USER\Software\Something\*\Startup

What will be searched:

HKEY_CURRENT_USER\Software\Something\Bill\Startup

HKEY_CURRENT_USER\Software\Something\Tom\Startup

Important Notes:

  • When using a wildcard in a key that is surrounded by literal material on both sides, you may want to specify Process Subkeys=0. Given a search using HKEY_CURRENT_USER\Something\*\Users, by default the program will also search keys under \Users. For example, HKEY_CURRENT_USER\Something\*\Users\Whatever is also searched. To force the program to search only within the HKEY_CURRENT_USER\Something\*\Users structure, also specify Process Subkeys=0 in your script or via a special registry switch if you are using the program interactively. The program default , which is the same as Process Subkeys=1, will also search keys under \Users.

  • Regular Expression mode is not required. The program will automatically detect and use the wild card chars.

  • Case Sensitive or not does not apply to Key terms because the registry handles them case insensitive.


Regular Expressions

Regular Expressions are used for advanced searches, where the search string follows a rule and is not always exactly the same. They employ special character operators, which are symbols that control the search, and an expression, which is a combination of characters and operators that specifies a pattern. Registry Toolkit uses a Regular Expression syntax that is a subset of UNIX grep notation for searching and DOS style Batch file %n input parameter notation for replacing. The major differences between the Registry Toolkit and grep regular expressions are:

  • . operator is not supported

  • * + ? ! operators must precede an expression enclosed by () or [].

Do not forget to mark the Regular Expression checkbox in the Search or Replace dialog if you are making a regular expression search &/or replace.

Regular expressions may be combined with the Environment Variable operator.

Regular expression wild card operators can be used in the key specification. Please see Keys - Wild Cards for more information.

Literal Characters:

  • The following must be preceded by a \ character to be interpreted as a literal in a search
    - + * ? ( ) [ ] \ | $ ^ !

  • The following must be preceded by a \ to be interpreted as a literal in a replace:
    % \ < >

For more help, scroll your screen or see:

Regular Expression Search - Match Operators
Regular Expression Search - Sub-Expression Operators
Regular Expression Replacement Operators

Regular Expression Search - Match Operators
* | Zero or More Operator: Matches zero or more expressions enclosed in () or []. * may be used by itself, although it is intended to be used around strings. If the * operator is entered alone it will match all characters from the start of the line to the end of the line. Entering multiple expressions containing * should be done carefully to avoid overlapping matches & unpredictable results.
 | *(is) *[is] Windows *[0-9] | matches matches matches | is, Mississippi Some, Expression, single Windows 95, Windows 98

+ | One Or More Operator: Matches one or more of the occurrences of the expression. + is intended to be combined with () and care should be taken when using + by itself. For example,
 | +(is) w+e | matches matches | is, Mississippi wide, white, write but not we

? | One Occurrence Operator: Matches exactly any character either before or after a string. ? also matches any character between two strings. When combined with (), ? matches exactly one expression enclosed in (). Using the ? operator by itself will match every character and should be avoided.
 | ?(is) Win?95 | matches matches | is or si Win 95, Win-95, Win/95

| | Or Operator: Matches the simple expression either before or after the | (pipe) symbol. This should be used in conjunction with (). Or expressions should not contain other operators such as *+^$?. You may, however, make use of other operators outside the (). For example,
 | (01/|02/)+[0-9](/95|/98) w*[a-z ](98|NT)\? | matches matches | 01/15/98 & 02/12/98 but not 03/12/98 Windows 98?, Win NT?

! | Not Operator: No match will be made if the expression is found. The NOT operator can be combined with other wildcard & subexpression operators. When combined with [], nothing in the range described in the brackets will be matched. For example,
 | !(b|c)at !(Windows )98 | matches matches | at in mat, rat or fat but not in bat or cat 98 in 1998 but not in Windows 98

^ | Beginning Of Line Operator: Matches an expression that starts at the beginning of a line. This may be combined with other wildcard and subexpression operators. However, avoid using ^ inside () expressions.
 | ^the | matches | the, The, THE, tHE at the beginning of a line

$ | End Of Line Operator: Matches an expression that is found at the end of a line. This may be combined with other wildcard and subexpression operators. However, avoid using $ inside () expressions.
 | end$ | matches | end only if it is at the end of a line

Regular Expression Search - Sub-Expression Operators
[ ] | Range Operator: This may be a list of single characters such as [dog], one or more ranges of characters such as [d-o0-2], or a more complex expression using other match or sub-expression operators such as do[g|uble]. Ranges are allowed by using the "a-z" notation. When entered alone, [] will match all characters and is equivalent to ?[]. Use the ?*+ operators to modify the range to be matched by the [] sub-expression operator. You can also enter [a-zA-Z0-9\-_], e.g., multiple ranges and the - character itself preceded by a \. For example,
 | t[]e H*[]d *[0-9] +[niewW] [a-z] | matches matches matches matches matches | The, Toe Hello (cr -lf) World across two lines 234907, 5795, or an empty string one or more strings such as Win, new, win any lower case string if case sensitive is on and any words if not case sensitive

( ) | Subexpression Operator: Parentheses are used to denote one or more sub-expressions. This is usually combined with the OR operator - |. For example,
 | Win( 95|dows 95) | matches | Windows 95 and Win 95

Regular Expression Replacement Operators
%n | Basic Replacement Operator: Core replacement operators use a %n convention, where n corresponds to a component in the regular expression search string. For example, %1 refers to the first expression value in the search string, %2 refers to the second, etc. %n parameters may be used several times, omitted, or used in any order. Up to 24 parameters may be used at once by referring to those over number %9 moving up the ASCII table, e.g., 123456789:;<=>?@ABCDEFGH. Some examples are:
 | Given: Search Expression: Replacement Expression: Results: | http://www.funduc.com http://www.searchandreplace.com http://* %1 www.funduc.com www.searchandreplace.com
 | Given: Search Expression: Replacement Expression: Results: | APPL 33.175 C 65.937 *[a-z] *[0-9].*[0-9] %1,%2.%2 APPL,33.175 C,65.937

< | Lower Case Operator: This is to be used in conjunction with %n, where %n< replaces the original matched expression with the lower case version. For example,
 | Given: Search Expression: Replacement Expression: Results: | MAKE THIS ALL LOWER CASE +[A-Z] %1< make this all lower case

> | Upper Case Operator: This is to be used in conjunction with %n: For example, %1> replaces the original first matched expression with the upper case version. For example,
 | Given the series: Search Expression: Replacement Expression: Results: | All words beginning with letter w. w+[a-z] W%1> All WORDS beginning WITH letter w.


Favorites Menu

The Favorites Menu is activated from main dialog.

Favorites Dialog

To quickly navigate to a key already in the Favorites list, select that key or press the corresponding number. If there are more than 20 entries in the Favorites list and you wish to select a favorite that is not listed in the immediate menu, select the 'More Favorites' entry and a Select Favorites dialog opens for selecting an entry from the entire list.

To add a highlighted key to the list, select 'Add'. The suggested Favorites name is the name of the key. You can change this to a more descriptive name if you want (see below).

To change the name of an existing entry in the list, select Organize and then Rename. The delete button in Favorites-Organize can be used to delete an entry. The Edit button is currently not functional. In the future we may add functionality that will open the entry in your default text editor (see below).

Scroll below for some technical notes about the Favorites list.

Adding New Entry
(You can change the name if you like)

Organize Favorites Dialog

Technical Notes:

  • Favorites are text files (PC format) consisting of the key name the favorite will jump to. The name of each file is the entry you see in the Favorites list. Files must end in the name extension, '.frt'. You can edit the files with a standard text editor if you need to.

  • Because of differences in naming conventions between Win 95/98 class operating systems and NT class systems, Favorites entries should not be exchanged across operating systems.

  • Because of differences in translated strings, Favorites entries should not be exchanged between machines using the German interface for Registry Toolkit and those that are not.

  • The default physical location of Favorites is a subdirectory named 'RT_Favs' under the same path as the Registry Toolkit executable. The physical location of the favorites path can be changed via a manual registry edit. To do this, close Registry Toolkit and create a string value named Favorites Path under
    HKEY_CURRENT_USER\Software\Funduc Software Inc.\Registry Toolkit\Settings
    and enter a complete path specification to the subdirectory to use for saving the Favorites entries. The change will go into effect the next time you start the program.

  • The sort order if the Favorites menu is alphabetical (ascending). The sort order currently cannot be changed. File names that begin with numbers come first so if you wish to 'force' a Favorite to be first in the list, use Windows Explorer or your file manger to rename the physical file to a name beginning with '01'. A file whose name is prefaced with '02' would come next. And so on. Exit and restart Registry Toolkit or click on the Favorites - Organize button to get Registry Toolkit to update the list with the name change(s).


Add/Edit Key Dialog

This dialog is used to create a new registry key or edit an existing one.

To edit an existing key:

1. Perform a search,.

2. Highlight the key to edit in the main dialog.

3. Click on the edit item button or select Edit from the Edit Menu. The current key will be listed in the "Key" field,

4. Make your revision.

5. Press "OK" to accept the change.

To create a new key:

1. Highlight the key in the main dialog under which you wish to add the new key (you may need to perform a search first to locate the key you're interested in).

2. Click on the new key button or select Add Key from the Edit Menu.

3. Press "OK" to accept the entry.

See Default Data for information on adding data for the (default) value that is always present when a key is created in the registry.


Add/Edit Value Dialog

This dialog is used to create a new value or edit an existing one.

To edit an existing value:

1. Perform a search and highlight the value to edit in the main dialog.

2. Click on the edit item button or select Modify from the Edit Menu. The current value and data type will be listed in the respective fields.

3. Click "OK".

4. Registry Toolkit will then present the Add/Edit Data dialog.

5. Enter the data for the value in the Data field.

6. Click "OK" to complete the operation.

To create a new value:

1. Highlight the key in the main dialog which you wish to add the new value to (you may need to perform a search first to locate the key you're interested in).

2. Click on the New Value button or select Add Value from the Edit Menu.

3. Enter the value and the data type.

4. Click "OK".

5. Registry Toolkit will then present the Add/Edit Data dialog.

6. Enter the data for the value in the Data field, g) Click "OK" to complete the operation.


Delete Keys and Values

Delete Keys/Values

To delete a key or value:

1. Perform a search operation to locate the key you wish to delete.

2. Highlight the key.

3. Select Delete via the Edit Menu, Context Menu, or the Delete button. The below prompt is offered before deletions. Click Yes to confirm the deletion or No to abort.

The Operations Dialog also can be used to delete specific keys/values. You can also delete keys via a .reg file.


Operations

The Operations Dialog allows you to select specific values from a key and: 1. Copy or Move to another key, 2: Delete them; 3. Export them to a REGEDIT4 .reg file. If you elect to delete all values under a key, the key itself is also deleted. The dialog will warn you if there either no values select or too many were selected (the limit is 25,000). The Select Keys/Values dialog that appears after you click on the 'Select Values' button allows you to make further choices about the values to select.

Operations Dialog Fields:

Operations: Select the radio button for the operation you want - Copy, Move, Delete, Export.

Path of From Key: Type in an entry of use the browse button ( [image]) to select a key to copy/move/delete/export.. The browse function on the main dialog can be used in advance to make an entry in this field.

Select Values Button: Click here after selecting the 'Path of From Key' to activate the Select Keys/Values dialog.

Path of From Key: Type in an entry of use the browse button ( [image]) to select a key to copy or move to. If Export is the operation, type in a file path or use the [image] to select a path & file name on disk for the .reg file.


Find Dialog

A Find Dialog, similar to the example below, is available in the Main Dialog and the Import Comparison Dialog. Ctrl+F launches the dialog. F3 repeats the last search. The Edit Menu can also be used in the Main Dialog.

Searches can be case sensitive and whole word (or not). The search can be forward or backward. Searches do not wrap.

When searching results in the Main Dialog, if the string can be found in a collapsed tree, the tree is expanded automatically.

Please note that the Find Dialog does not search the registry itself. It only searches material currently listed in the display. For searching the Main Dialog, you may need to update the display, perhaps by clicking on Show Subkeys or Show Values to update the display.


Restore

Restore Last Change

Please Note: The Registry Toolkit 'Restore' functioning is available for Search/Replace and Operations Dialog functioning only. Manual editing changes are not traced via the undo function. This feature may be added in future releases.

There are two methods to restore changes made to the registry:

1. Undo Last Replace(s):

The 'Undo last replace(s)' function from the Edit Menu on the main dialog implements a comparison dialog similar to the below. The '.REG Data' column contains the previous information to be considered for a restore. The 'Registry Data' column is the current information. You can elect to omit one or more items by highlighting them an clicking on 'Delete'. Click on 'Merge into Registry' to implement the change(s) and restore the previous information.

2. Manual use of undo.reg file(s):

As noted in the section on Output File, Registry Toolkit automatically creates Output/Undo file(s) in the path specified in the Replace tab of the Search / Replace dialog or the "Output/Undo File=" switch in a script. The Output/Undo files are named automatically using a date & time scheme. The Output/Undo.reg file(s) are standard registry export files that you can manipulate &/or merge manually.

To undo the last changes, identify the .reg file you are interested by examining it with your text editor. To merge the file into the registry via Windows Explorer or the Import Registry File function:

1. Navigate to the Output/Undo file in Windows Explorer

2. Right click on the file.

3. Select "Merge" from the Windows Explorer right click context menu.

Alternatively, you may also use the Registry Toolkit Import Registry File function. Note that you can also use the import function to examine several files individually, one at a time. Cancel the import if you are not interested in a particular file.


Output Files

Registry Toolkit automatically creates Output/Undo file(s) in the path specified in the 'Write Undo .REG to' field in the Replace tab of the Search / Replace dialog. The .reg files are REGEDIT4 format. The Output/Undo files are named automatically using a date & time scheme. The program will create an unlimited number of undo files per session but will remove oldest files at the next program startup. The default number of undo files retained is 7. This number is adjustable with a dword value, 'Maximum Undo Files' located under
HKEY_CURRENT_USER\Software\Funduc Software Inc.\Registry Toolkit\Settings

The Output/Undo file may be used for: a) Reversing changes made by a search/replace or a manual change, b) An output report of a registry search, c) A preview report of the changes that would be made by a search/replace.

To use the Output/Undo file as an output report of a registry search, specify a search string in the Search/Replace dialog but leave the replace string blank. When you click on the Search button, the results of the search will be written to the most recent Output/Undo file.

To use the Output/Undo file to manually preview the changes that would be made by a search / replace, specify both a search and a replace string in the Search/Replace dialog but click on the Search button. The changes that would be made if you were to do a replace will be written to the Output/Undo file.

Notes:

  • The Registry Toolkit 'Restore' functioning is available for Search/Replace and Operations Dialog functioning only. Manual editing changes are not traced via the undo function. This feature may be added in future releases.

  • You can also preview search / replace changes within Registry Toolkit itself by enabling 'Prompt after Search' in the Replace Tab of the Search / Replace dialog.

  • If you use the Output/Undo file to preview a search-replace, be sure you do not inadvertently merge that data into the registry.

  • To preview a replace in a script operation, specify Replace=0 in your script.


Environment Variables

Environment variables can be used in the Search / Replace string fields. Case Sensitive and regular expressions can be used at the same time.

Environment variables can also be used in the output file specification in scripts. See Scripts for more information.

%%envvar=variable name%%

where variable name is the name of the environment variable to use.

For example, to search for the value of the environment variable temp, enter the string

%%envvar=temp%%

in the search field or your regular expression. If the value of your temp environment variable is c:\windows\temp, search hits would occur wherever the string c:\windows\temp is found in the registry. If Case Sensitive is on, c:\windows\temp would be found but C:\WINDOWS\TEMP would not.

To insert the value of the environment variable winbootdir in a replacement string, enter the string

%%envvar=winbootdir%%

in the replace string field or your regular expression. If the value of your winbootdir variable is C:\WINDOWS, the string C:\WINDOWS would be used in replacements.

A regular expression operation involving the environment variables operators might be:

Search:
Replace

*%%envvar=tmp%%
%1TMP=%%envvar=tmp%%;%%envvar=winbootdir%%


Special Registry Switches

Registry Toolkit has several special registry switches that are available for advanced usage. All of these switches except the toolbar style switch have counterparts for use during script operations. We present the information below (in REGEDIT4 style) in case you need to use any of them during interactive use through the graphical interface.

If you are doing a script operation it is NOT necessary to make any change to the Windows registry settings for the program. Script-based switches always over-ride any default settings for the program.

# Registry Toolkit

# Funduc Software, Inc.

# Copyright 1998-2009, All Rights Reserved

# http://www.funduc.com http://www.searchandreplace.com

[HKEY_CURRENT_USER\Software\Funduc Software Inc.\Registry Toolkit\Settings]

# *** SET VALUE DATA ***

# To write the replace string where a value is found, set this value

# to the data type desired for the value ie:

# REG_SZ ( 1 ) // Unicode nul terminated string

# REG_EXPAND_SZ ( 2 ) // Unicode nul terminated string

# // (with environment variable references)

# REG_BINARY ( 3 ) // Free form binary

# REG_DWORD ( 4 ) // 32-bit number

# REG_DWORD_LITTLE_ENDIAN ( 4 ) // 32-bit number (same as REG_DWORD)

# REG_DWORD_BIG_ENDIAN ( 5 ) // 32-bit number

# REG_LINK ( 6 ) // Symbolic Link (unicode)

# REG_MULTI_SZ ( 7 ) // Multiple Unicode strings

"Set Value Data"=dword:00000000

[HKEY_CURRENT_USER\Software\Funduc Software Inc.\Registry Toolkit\Settings]

# *** FLAT TOOLBAR ***

# To be used if you wish to see regular toolbars instead of flat

# Uncomment line below and remove the one after

#"Flat Toolbar"=dword:00000000

"Flat Toolbar"=dword:00000001

[HKEY_CURRENT_USER\Software\Funduc Software Inc.\Registry Toolkit\Settings]

# *** SETTINGS FILE PATH ***

# Path to settings file. Usually set to a path on a user's machine

# if the program is installed on the network.

"Settings File"="C:\\tools\\RegTkt\\default.srt"

[HKEY_CURRENT_USER\Software\Funduc Software Inc.\Registry Toolkit\Settings]

# *** UNDO FILE LIMIT ***

# To change the number of undo files the program maintains during

# interactive use, modify the dword value below. The default is

# decimal 10. You can also modify this value by using Registry

# Toolkit to edit the registry. The program reads the value at

# startup so exit and restart for a new setting to take effect.

"Maximum Undo Files"=dword:0000000a

[HKEY_CURRENT_USER\Software\Funduc Software Inc.\Registry Toolkit\Settings]

# *** PROGRESS METER ***

# To disabled the progress meter during interactive program use,

# uncomment the line below and remove the one after.

# This switch has no effect on script functionality. To disable

# the progress meter during scripts, add No Progress=1 to your

# script. See the program hlp and example scripts for more info

# on script switches.

# "No Progress"=dword:00000001

"No Progress"=dword:00000000

[HKEY_CURRENT_USER\Software\Funduc Software Inc.\Registry Toolkit\Settings]

# *** PROCESS SUBKEYS ***

# By default the program will recurse all subkeys. To

# process values/data only in the immediate key specified

# in the main dialog, use the Process Subkeys=0

# switch. Also see comments below about the use of

# wild cards in the Key= specification. You should

# specify Process Subkeys=0 if you are using a wildcard

# in Key= and want to confine the search to the exact key

# structure specified.

# "Process Subkeys"=dword:00000000

"Process Subkeys"=dword:00000001


Registry Toolkit Command Line

Registry Toolkit has two command line choices:

1. Launch a script file:

Pass the name of the script file to execute to the program. For example,

RegTkt.exe scriptfile.txt

The above will run a script named scriptfile.txt. Specify the complete path to RegTkt.exe (c:\tools\regtkt by default) and a complete path to the script file. Enclose paths & filenames that have spaces with " characters. Script files can be any name you want.

See Scripts for information on script switches.

2. Merge a .reg file:

Pass the name of a REGEDIT4 .reg file to the program to import the .reg file. The file must be REGEDIT4 format. The .reg name extension is not required. As long as the file is in REGEDIT4 format, the program will recognize it as a .reg file and not a script. The program will exit automatically after merging.

For example,

RegTkt.exe merge_this.reg

Notes:

  • You can use this syntax with a .reg file that deletes specified keys or deletes specified values from the registry.

  • REGEDIT4 .reg files can also be merged interactively by dragging the .reg from Windows Explorer and dropping it into the Registry Toolkit main dialog.

  • We recommend using the Windows, 'start /w' launcher when more than a single program instance defined in a .bat/.cmd file. See your Windows F1 hlp or type 'start /?' from a MSDOS box for more information on the start command.

For example,

start /w Regtkt.exe script1.rts

start /w Regtkt.exe script2.rts


Delete Keys via a .reg file

Registry Toolkit can be used to merge into the Windows registry a special .reg file, understood by Registry Toolkit only, that will delete the keys specified in that .reg.

You will need edit a REGEDIT4 .reg file manually with your text editor to accomplish this.

Example - Delete the key HKEY_CURRENT_USER\Software\Test\command3

1. Run a search to find 'command3' that has a replacement string specified. The replacement string can be anything except 'command3'. The goal for his step is to create a 'rename operation' .reg file for a key. In the example here we used a replace string of 'command4'.

2. Open the Output file created by the above search in your text editor. It will look like something like this:

REGEDIT4

[HKEY_CURRENT_USER\Software\Test\command3]

"RT_Rename_Key"="HKEY_CURRENT_USER\\Software\\Test\\command4"

3. Edit the "RT_Rename_Key" line and remove the text inside the " characters after the = character. Your work should look like this:

REGEDIT4

[HKEY_CURRENT_USER\Software\Test\command3]

"RT_Rename_Key"=""

Note: If you have many operations similar to this our Search and Replace utility can make short work of the task using the regular expression search/replace of S: ="*" R: =""

4. Save the file.

5. Use Registry Toolkit to merge the modified file into the registry. You can do this in one of three ways:

a. Drag n Drop the file from Explorer into Registry Toolkit. The program will report on the changes made.

b. The Import Function - Permit the import to Merge the file and all the changes.

c. From the Command Line. Issue a command similar to
   regtkt.exe mergefile.reg
where 'mergefile.reg' is the name of the above file you were working on. Note that it can be any name you wish.

IMPORTANT NOTE: The Windows registry editor, Regedit, cannot understand these special .reg files. DO NOT try to import them as you might otherwise import a .reg file without using Registry Toolkit. You must use Registry Toolkit to


Delete Values via a .reg file

Specific values can be deleted from the registry manually from the main dialog or from the Operations dialog.

Registry Toolkit can also be used to merge into the Windows registry a special .reg file, understood by Registry Toolkit only, that will delete values specified in that .reg from the registry.

You will need edit a .reg file manually with your text editor to accomplish this.

To delete a value, make/edit a standard REGEDIT 4 file that has nothing whatsoever after the = character for the value(s) to delete. After merging, if those value(s) exist in the registry they will be deleted.

For example, to delete the value & data, ValueA, under Data HKEY_CURRENT_USER\Test\command\, merge a .reg file such as:

REGEDIT4

[HKEY_CURRENT_USER\Test\command]

"ValueA"=

Other operations can be combined with this. For example, the below operation deletes ValueA and adds Install Dir.

REGEDIT4

[HKEY_CURRENT_USER\Test\command]

"Install Dir"="d:\\test\\ "

"ValueA"=

See Compare Dialog and Delete Keys via a .reg file for related information.


Import Registry File

Registry Toolkit can import registry data into the registry. This function is available from the Registry and Context menus. When you initiate an import a Comparison Dialog is presented to preview the import in advance of the actual operation.

The data to import should be in standard "REGEDIT4" or "Windows Registry Editor Version 5.00" format (See Delete Keys for a qualification). By default the dialog looks for .reg files but you may specify any file.

Before data is imported Registry Toolkit displays a configurable comparison dialog that lists existing vs. import data. The comparison dialog can be used to eliminate one or more values from the list.

Notes:

  • You can also import a REGEDIT4 .reg file by any one of the below methods. Note that the file can be any name you want. The .reg extension is not require. As long as the file is in REGEDIT4 format, Registry Toolkit will recognize it as a .reg file:

1. From the command line by passing the name of the .reg to merge to the program, e.g.,
regtkt.exe merge_this.reg

2. Drag n drop a REGEDIT4 format .reg file from Windows Explorer onto a running instance of Registry Toolkit.

3. Drag n drop a REGEDIT4 format .reg file onto regtkt.exe in Windows Explorer.

  • Remote Registry Operations: If you are are dealing with a remote registry and wish to do an import you must use a UNC naming type syntax in the .reg file itself to reference the remote machine. For example, let's say you want to deal with the registry on a machine named Accounting. The .reg file should have a form similar to:

REGEDIT4

[\\Accounting\HKEY_LOCAL_MACHINE\SOFTWARE\Test]

"testing"="data for value named testing"

Note the \\Accounting\ substring above. If you do not specify the machine name in this way, the import will try to import the .reg into the current registry instead of the remote registry.

This tactic of referencing the machine before the key specification will work for the import comparison or .reg files passed on the command line.

It is up to you to ensure that the remote registry is available to the machine you are working on. Registry Toolkit does not attempt to establish network connections. You will need to connect to the machine in advance before using Registry Toolkit.


Export Registry File

Registry Toolkit can export data to text file in REGEDIT4 format. The file may be edited with a text editor and may be imported into the Windows registry from Windows Explorer or the Registry Toolkit Import Registry File function..

A standard "Save As" dialog is used to save the file. The default file name extension is .reg. You may change this if you like.

To export a specific branch, use the Browser or do a search to select the key you are interested in. select "Export Registry File" from the Registry Menu or the Context Menu. All keys/values/data in the branch immediately below that point will be saved upon export.

Notes:

  • The Operations Dialog can also be used to export selected values.

  • Scripts can also be used to export keys.


Compare Registry Files

The 'Reg File to Registry Compare and Merge' dialog is presented after you open a REGEDIT4 .reg file to import into the registry. This same dialog is employed during 'Prompt After Searching' and Undo Last Replace(s).

The dialog presents a comparison between pending change and the registry. Individual items can be removed from the proposed change or the entire operation can be aborted. A secondary dialog from the Options button lets you configure the comparison contents. The dialog is re-sizeable and a right click context menu is available to copy the contents to the windows clipboard. A Find function is available to search for specific strings by pressing ctrl+F. F3 repeats the last search, if any.

Click on the graphic for information on specific aspects of the display or scroll for more help. Also see the Notes below.

Compare Registry Main List: A changes and their existing counterparts (if any) is presented here. Alike vs. different key/values/data are indicated by icons and actual data. You can resize the column tabs and the entire dialog.

Icon | Meaning
 | Identical
 | Different
 | No counterpart in import file
 | No counterpart in registry

Merge Values: Click here to merge the available items in the list.

Delete from List: Remove move the highlighted item(s) from the list of pending changes. No change is made to the .reg file itself. See Notes below for more information.

Options: Change the Compare Options. You can control whether or not to display identical vs. different values, values only in the .reg file, values only in the registry, and case sensitivity.

Help: F1 will also launch the online help.

Notes:

  • When the Comparison is presented during 'Prompt After Searching' operation, the '.REG Data' column refers to changes that will take place with the pending replace.

  • When importing a .reg file, 'Delete from List' only removes values from the operation. The .reg file itself is NOT physically changed in any way by the program.

  • 'Delete from List' has no effect on values present in the 'Registry Data' column but without a counterpart in the '.REG Data' column. If you do not want these values listed, disable 'Display values only in the Registry' in Compare Options.

  • When a value existing in both '.REG Data' and 'Registry Data' is 'Deleted from the List', the value name remains but the '.REG Data' column entry is blanked out. If you do not want these values listed, disable 'Display values only in the Registry' in Compare Options.

  • To refresh the dialog, Cancel the operation and initiate a new Import/Undo/Search-Replace.


Connect to Network Registry

General Information

Registry Toolkit can access a remote registry through Windows Remote Registry Services. Remote Registry services must be enabled on the machine you want to access. Furthermore, you must have the access control rights this function to work. Please see your Windows online help and/or consult your network administrator for further information on access rights and required network services.

To access a remote machine, select Connect Network Registry from the Registry Menu or from the [image] button in the Search/Replace dialog. The latter opens a Browse Dialog. Select the Network button in that dialog to open a Windows network path browser to select the machine to access (see below).

Please note that Registry Toolkit is not able to connect to the registry files on machines that are not booted.

We also suggest that you operate on specific hives or, better still, specific keys when dealing with a remote registry. This will speed up operations, particularly over slow networks.

Finally, please be aware that not all areas of a registry are available to remote access. This is a function of Windows Remote Registry Services and Windows security.

Script Information

If you need to reference a remote computer in a script, use UNC style naming. For example, to access the registry on a machine named Workstn15, use something like
Key=\\Workstn15\HKEY_USERS
in your script.

We suggest that you experiment interactively before using a script. Use the Start In field in the in the Search/Replace dialog as a model for what to specify in your script.

Some sample screens the interactive browsers & dialogs are below. Regarding the Windows Path Browser, you should select machine names, not cached network path shares that may be present in the lower portion of the Windows Network browser.

Windows Path Browser
Note: Your results will vary by operating system.

Selecting a key on a remote registry


Print

The print function allows you to dump the current information in the Registry Toolkit main dialog to a printer. Use the Print Preview dialog to visualize the output in advance of printing. Use the Print Setup function from the Registry Menu to change your printer settings in advance of printing. Depending on your printer, you many also be able to use an options button and/or select another printer from the print dialog in advance of printing.


Customize the Toolbar

Click on the graphic below for help on customizing the toolbar.


Registry Toolkit Scripts

Registry Toolkit scripts are used to perform automated operations. Scripts are ASCII text files that are created manually with a text editor. Scroll below to see a sample script. Also see Alternate Script Form for how to specify multiple search/replace strings within a key.

A script file must be passed to the program via the command line (or batch file) syntax using the form:

 RegTkt.exe script.txt

Specify the complete path to RegTkt.exe (default is c:\tools\regtkt) if regtkt.exe is not in the current active path. Also specify a complete path to the script file if it is not in the current active path. Enclose paths & filenames that have spaces with " characters.

Other Notes:

  • Scripts may use any file name extension except .reg.

  • Comment lines are prefaced by # characters. They MUST go in column 1.

  • * and ? wild card characters can be used in the Key= specification. Regular Expression mode does not need to be enabled -- the program will automatically detect the presence of wild card chars. See [Action4] below and Keys-Wild Cards for more information.

  • Environment Variables can be used in the Search String=, Replace String= , and Output/Undo File= switches. The syntax is %%envvar=variable name%%, where 'variable name' is the name of the machine environment variable to use. See [Action3] below and Environment Variables more information.

  • See Regular Expression Syntax for info on the egrep syntax when Regular Expression=1 is specified.

  • See [Action3] below for an example of searching multiple s/r strings within a single pass.

  • To run the program silently, disable confirmation prompts with the Prompts=0 switch and disable the progress meter with the No Progress=1 switch.

  • Shareware Users: There is no program startup splash screen in the registered version.

  • Two example / information files are included with the program distribution. ScriptSyntax.txt demonstrates some basic actions and ExportScript.txt demonstrates an export via a script.

  • See 'Export via a script' for more information on exports.

# Registry Toolkit Script File Sample

# Version 4.0

# Funduc Software, Inc.

# Copyright 1998-2009

# http://www.funduc.com http://www.searchandreplace.com

# Format of Script Files

# The # character in column 1 is the comment character.

# These must go in column 1.

# All switches must start in column 1.

# Scripts are divided into [Action ] sections that are

# numbered sequentially, e.g, [Action01], [Action02],

# [Action03], .... They can be in any order in the

# script but are processed sequentially by number.

# Scripts can also have an optional [Default] section.

# [Default] can be used to specify switches that are to

# be used in all [Action ] that do not have that same switch

# specified. A switch specified in an [Action ] always

# overrides the counterpart (if any) from [Default].

# All scripts MUST have at least one [Action ] section.

# For a single action script, DO NOT USE a [Default]

# section. Use [Action1] instead.

# If your script has multiple actions and if you are

# using output file(s), use a different Output/Undo File=

# specification for each [Action ]. File writes to the

# output file are 'overwrite', not 'append'.

# NOTE: See [Action3] below for an example of how to specify

# multiple s/r's within a single [Action ].

# See Exports via a script for how to set up a script

# to export data.

[Default]

#

# Use this optional section to specify any switches to be

# applied to all [Action ]'s. We suggest new users

# omit [Default] entirely and specify all switches within

# each [Action ]. You can streamline later if you want by

# making a [Default].

[Action1]

# *** HIVE/HEY TO SEARCH ***

# Specify a top level key name to begin the operation from.

# When building your script, you may wish to use the

# "Copy Key Name" function from the Context Menu to simplify

# obtaining the key name to use here.

# Wild card characters * and ? can be used. It is not necessary

# to enable Regular Expression mode. The program will

# automatically detect and use wild cards. See last Action below

# for example.

# If you need to reference a remote registry, use UNC style

# naming, e.g., Key=\\MainSrv1\HKEY_CURRENT_USER

# where MainSrv is the name on the machine on your network. That

# machine must be running and must have remote registry services

# enabled. See Remote Registry for more information.

Key=HKEY_CURRENT_USER\Software

# *** SEARCH AND REPLCE STRINGS ***

# It is OK to leave Replace String= blank when conducting

# search-only operations. Results of the search will be

# written to the undo file.

# If you wish to use the undo file to preview the effects

# of a replacement, enter a string in Replace String= and

# specify Replace=0 (see below).

Search String=Funduc

Replace String=Software By Funduc

# *** CASE SENSITIVE OPERATION ***

# 0 = Case Insensitive search

# 1 = Case Sensitive search

# If not specified, Default = 0

Case Sensitive=0

# *** WHOLE WORD OPERATION ***

# 0 = Whole Word matching for the search string off

# 1 = Whole Word matching search string on

# If not specified, Default = 0

Whole Word=0

# *** REGULAR EXPRESSION OPERATION ***

# See Registry Operations - Regular Expressions for more info.

# 0 = Regular Expression mode off

# 1 = Regular Expression mode on

# If not specified, Default = 0

Regular Expression=0

# *** OPERATIONS ON VALUES ***

# 0 = Do not search (or replace) in registry values

# 1 = Search (or replace) in registry values

# If not specified, Default = 0

Values=1

# *** OPERATIONS ON KEYS ***

# 0 = Do not search (or replace) registry keys

# 1 = Search (or replace) registry keys

# If not specified, Default = 0

Keys=1

# *** OPERATIONS ON DATA ***

# 0 = Do not search (or replace) data values

# 1 = Search (or replace) data values

# If not specified, Default = 0

Data=1

# *** OPERATIONS ON STRING DATA ***

# 0 = Do not search (or replace) REG_SZ data types

# 1 = Search (or replace) REG_SZ data types

# If not specified, Default = 0

String=1

# *** OPERATIONS ON EXPANDED STRING DATA ***

# 0 = Do not search (or replace) REG_EXPAND_SZ data types

# 1 = Search (or replace) REG_EXPAND_SZ data types

# If not specified, Default = 0

Expanded String=0

# *** OPERATIONS ON MUTLI LINE STRING DATA ***

# 0 = Do not search (or replace) REG_MULTI_SZ data types

# 1 = Search (or replace) REG_MULTI_SZ data types

# If not specified, Default = 0

Multi String=0

# *** OPERATIONS BINARY DATA ***

# 0 = Do not search REG_BINARY data types

# 1 = Search REG_BINARY data types

# If not specified, Default = 0

Binary=0

# *** PROCESS SUBKEYS OR NOT ***

# By default the program will recurse all subkeys. To

# process values/data only in the immediate key specified

# in the Key= switch above, use the Process Subkeys=0

# switch. Also see comments below about the use of

# wild cards in the Key= specification. You should

# specify Process Subkeys=0 if you are using a wildcard

# in Key= and want to confine the search to the exact key

# structure specified.

# 0 = Do not process subkeys

# 1 = Process Subkeys

Process Subkeys=1

# *** OUTPUT/UNDO FILE SPECIFICATION ***

# You should use this switch to specify an undo/output file for

# the script. It can be omitted but we do not recommend doing

# so. You can - and probably should, specify a different

# output/undo file for each [ActionX] section in a multi-step

# script. The Output/Undo File is NOT an append mode write.

# If you don't specify a unique name for each step, results

# will be overwritten each time.

# A machine environment variable can be used in the path string.

# Use the syntax %%ENVVAR=variable name %%. (case insensitive)

# NUL (case insensitive) can be used for the file name to disable

# the dump for an action.

Output/Undo File= D:\Scripts\RTOutput1.txt

# *** REPLACEMENT PROMPTING ***

# Note: When confirm is on, you may chose to skip all further

# confirmations in the confirmation dialog after the first prompt

# is offered.

# 0 = No initial replacement confirmation

# 1 = Confirm replacement prompt supplied for first replacement

# If not specified, Default = 0

Prompts=1

# *** PERMIT REPLACEMENTS? ***

# Use this when you have a Replace String specified but just want

# to preview the results of your replace. The preview will be

# listed in the Output/Undo File.

# 0 = No replace

# 1 = Perform a replace

# If not specified, Default = 0

Replace=0

# *** DISPLAY PROGRESS METER ***

# 0 = Standard progress meter

# 1 = No progress meter is displayed

# If not specified, Default = 0

No Progress=0

# *** WRITE REPLACEMENT STRING TO VALUE DATA ***

# To write the replace string where a value is found

# by the search string instead of changing the value

# itself, specify the data type with this switch.

# In most cases you will not use any setting for this

# switch so leave it turned off or omit entirely.

# 1 = REG_SZ

# 2 = REG_EXPAND_SZ

# 3 = REG_BINARY

# 4 = REG_DWORD

# 4 = REG_DWORD_LITTLE_ENDIAN

# 5 = REG_DWORD_BIG_ENDIAN

# 6 = REG_LINK

# 7 = REG_MULTI_SZ

# If not specified, Default=0.

Set Value Data=0

[Action2]

Search String=Test

Replace String=Testing

Key=HKEY_CURRENT_USER\Software\Test

Replace=1

Case Sensitive=1

Whole Word=1

Regular Expression=0

Values=1

Keys=0

Data=0

String=1

Expanded String=0

Multi String=0

Binary=0

Output/Undo File=D:\Scripts\RTOutput2.txt

Prompts=0

# Note: The below Action does a multiple s/r on

# HKEY_CURRENT_USER\Software\Test. You must use the

# numbering as modeled below. The first Search String= and

# Replace String= specs have no number. The second (and

# above) begin with the number 2.

# Also, an environment var is specified in the output file

# path.

[Action3]

Key=HKEY_CURRENT_USER\Software\Test

Search String=FindMe

Replace String=Replace with this

Search String2=Another string to find

Replace String2=Replace with this too

Search String3=Locate this

Replace String3=And replace with this

Replace=1

Case Sensitive=1

Whole Word=0

Regular Expression=0

Values=1

Keys=0

Data=0

String=1

Expanded String=0

Multi String=0

Binary=0

Output/Undo File=D:\Scripts\%%envvar=COMPUTERNAME%%\RTOutput3.txt

Prompts=0

# Note: The below Action uses a wild card in the key spec.

# The program will search all the 'S- ' keys under HKEY_USERS

# Note that Regular Expression=0 is OK. It is not necessary to

# enable regular expression search to use a wild card in Key=

# Also note that if you want to search _only_ the exact level of

# HKEY_USERS\S-*\Software\Microsoft\Windows NT\CurrentVersion\PrinterPorts

# Process Subkeys=0 should be specified. If Process Subkeys=1 is

# specified the program will also search keys under \PrinterPorts if

# they exist.

[Action4]

Key=HKEY_USERS\S-*\Software\Microsoft\Windows NT\CurrentVersion\PrinterPorts

Search String=Canon 100

Replace String= Canon S880

Case Sensitive=1

Whole Word=0

Regular Expression=0

Values=1

Keys=0

Data=0

String=1

Expanded String=0

Multi String=0

Binary=0

Output/Undo File=D:\Scripts\RTOutput4.txt

Replace=1

Prompts=0


Registry Toolkit Scripts - Multiple Search-Replace

Registry Toolkit 3.4+ allows you to specify multiple search/replace strings within a single [Action] section.

See Scripts for information about the basic script syntax and switches Previously, each [Action] section could have only one Search String= and Replace String= definition. Version 3.4+ allows you to specify multiple strings within a given [Action]. This reduces the size of scripts and can also speed up processing. Also, this provides a way to get the results of multiple s/r's within a single Output/Undo File. For the original script form, the Output/Undo File writes are in overwrite mode so it was necessary to specify a unique Output/Undo File for action [Action].

To specify multiple strings, use a form like the below. Note that the 2nd and above Search String= and Replace String= lines have sequential numbers before the = character. You should specify numbers in order. All pairs must be balanced! The first Search String= and Replace String= must not have any number. There is no practical limit on the number of strings but we suggest that you have many strings, limit them to a maximum of 100 per [Action]. This will help with debugging.

Important Note: You cannot specify multiple Key= statements within an [Action]. If you need to search another key, define a new [Action] or use a key wild card.

Multiple S/R | Older Versions
[Action1] Key=HKEY_CURRENT_USER\Test\ Search String=Funduc Replace String=Software By Funduc Search String2=Windows Replace String2=Software Search String3=XPPro Replace String3=Better than Home | [Action1] Key=HKEY_CURRENT_USER\Test\ Search String=Funduc Replace String=Software By Funduc [Action2] Key=HKEY_CURRENT_USER\Test\ Search String=Windows Replace String=Software [Action3] Key=HKEY_CURRENT_USER\Test\ Search String=XPPro Replace String=Better than Home


Registry Toolkit Scripts - Export Function

Registry data can be export to a text file (Regedit 4 style) via a script using the format modeled below. When using scripts for an export, omit entirely the Search String= and Replace String= switches that are part of the typical script. Use the Key= switch to specify the top level to begin exporting from. All keys/data under that point are exported. Be sure to specify an Output/Undo File. Also, be sure to specify Replace=0!

These special action export scripts should not be combined with other actions -- make a single export per script.

A sample script named ExportScript.txt is included with the program distribution.

See Export for other methods to export data using Registry Toolkit.

Example: Export the Key below to d:\temp\REGDUMP.REG:

[Action1]

Key=HKEY_LOCAL_MACHINE\Software\Microsoft\Windows\CurrentVersion\Uninstall

Output/Undo File=c:\temp\REGDUMP.REG

Replace=0


Operating System Compatibility

Registry Toolkit is intended for Windows 2000 and above: Windows 2000 (Workstation and Server), XP (Pro and Home), Windows 2003 Server, & Windows Vista (32 and 64 bit).


Ordering Information

Funduc Software - Purchasing & Ordering Registry Toolkit

The base price of Registry Toolkit is $25/single user, plus $8 to $10 S&H if you want a diskette sent by US or International mail. Email delivery is free. Quantity discounts are listed in the fax/mail order form and our web site, http://ww.funduc.com.

Enterprise Level Users: Please write support@funduc.com if you need to use the program for enterprise changes that involve scripts to be run as part of a user logon. Special discount pricing below the prices listed below is available for limited-use licenses. Quotes provided upon request.

Purchase Orders? Please see our online PO Policy PO Policy. before submitting a PO. If you cannot reach our web site, write support@funduc.com.

As part of the registration, you will also receive free updates and customer support (by Email) for one year. Updates are sent to registered as they become available. They incorporate your suggestions, so please send them! If you have problems receiving the program or need customer support, contact us directly by Email at support@funduc.com.

Credit Card Registration: Several routes are available…

  • Secure Internet Transaction: If you have a secure Web browser such as Netscape or Internet Explorer, you may register by credit card via a secure Web transaction from our web site at: www.funduc.com.

  • Fax Registration: To register using a credit card via fax, open and print the fax/mail order form. You may also edit and print the file, 'Order.txt', in the program subdirectory. Please write clearly or type when you complete the form. Please check our web site - www.funduc.com/contact.htm - for the fax number to use. Fax orders are processed within a few hours during the USA business day. Allow 7-10 days for postal deliveries. Write support@funduc.com if you have a question about your order.

  • Phone Registration: Call the number indicated on the page at www.funduc.com/contact.htm to order using a credit card. Please remember to specify which program you are ordering. Phone orders with email delivery are typically processed within one business day. Allow 7-10 days for postal deliveries. Write support@funduc.com if you have a question about your order.

PayPal Money Transfer: Please write support@funduc.com for instructions about registration via PayPal "Send Money" funds transfer. We will provide you instructions via email reply. Thanks.

Ordering by check: To register by check, open and print the fax/mail order fax/mail order form. You may also edit and print the file, 'Order.txt', in the program subdirectory. Please write clearly or type when you complete the form. Mail the form and a check to the address indicated on the form. Please allow 7-10 days for check order processing and then contact support@funduc.com if you did not receive the program. Payments must be in US dollars drawn on a US bank or international postal money order in US dollars. If you send a postal money order, do so only by some form of registered mail that can be traced!


Funduc Software Products

Please visit our Web site at http://www.funduc.com for more information, freeware, shareware, and purchases of these and other products.

Search & Replace

Search and Replace is our award winning utility loved by programmers, webmasters, and novice computer users alike. If you need to find and replace text, or just find text, this utility is a must have.

Search and Replace looks through multiple files for a string and can also replace it with another string. It can search subdirectories and ZIP files and do case sensitive or insensitive searches. Extensive support for regular expression (egrep) search & replacement includes operations that span more than one line, insertion of the path & filename during replacements, and incrementing number replacements. Binary search & replace mode can be combined with regular expressions. Precise control over replacements is available through multiple confirmation options and a built-in context viewer that allows you to view replacements in- context, before they are made. An HTML Mode can be used to make html special character code substitutions during search/replace. Ignore Whitespace mode makes it convenient to handle spaces & cr-lf during non-regular expression operations. A built-in script editor makes frequent &/or complex multi-step search/replace operations easy to prepare. Advanced script operations include a boolean expression evaluator that provides additional control over which files are processed by the script. Advanced scripts also allow you to specify the program options in effect, insert comments in scripts, and perform iterative script operations. Multiple file masks and file date & size filters can be used to include &/or exclude files during regular and scripted operations. The internal context viewer includes a build-in editor for editing text files. The full complement of command line switches (including script launching) is ideal for network managers & advanced users. Other functions include: "Touch" files (change time/date stamp & file attributes); Preservation of original file date during replacements; Replacements on backup path files instead of the originals; Output reports to monitor operations; Shell extensions to launch Search & Replace from Explorer and the Find Menu; and more. A detailed help file with examples are included. Several foreign language interface are available from ttp://www.funduc.com.

Search and Replace has received several awards from WUGNET® (Windows User Group Net) Windows NT Shareware Pick of the Week (www.wugnet.com/shareware), Windows Magazine (www.winmag.com) Superior Shareware, and has been featured several times in Lockergnome's Free Windows 95/NT E-zine (www.lockergnome.com). It has a ZDNet Hotfiles (www.hotfiles.com) of 5 stars, & a TUCOWS (www.tucows.com) 5 Cow rating.

Search and Replace Regular Expression Wizard

Search and Replace Regular Expression Wizard is a step-by-step wizard to help you build regular expressions for use in Search and Replace. The expressions can be constructed from a menu of operators having English language counterparts. The impact of the operators is displayed in color coded form on a sample text you provide. You can move back & forth between search operators - replace operators - final results to adjust your expressions as necessary. When finished, the final expressions are inserted into the corresponding Search and Replace fields if Search and Replace is running. The Wizard itself is freeware. Documentation requires a one time purchase.

Directory Toolkit

Directory Toolkit is a multipurpose directory comparison and file manager that provides features missing from Windows. It displays single directory lists or side- by-side directory comparisons using color coding for alike, different, or missing files. Comparisons can be based on dates or a binary file analysis of file content. You can copy, move, & rename files while retaining long filenames and six built-in synchronize functions simplify updating directories. Built-in archive functions, with Explorer shell extensions, let you create & manage archives from Explorer and use Directory Toolkit as your primary archive manager for supported archives (zip, tar, gz, lz (read only), & cab). File operations and directory comparison functions work seamlessly on files in archives, e.g., no need to manually extract files first. Other features include statistics for file counts and path sizes; Ignoring filename case during comparisons; Explorer compatible OLE drag n Drop; Split/Concatenate files to/from diskettes; Encode/Decode UENCODE, Base64(Mime), BinHex(Mac), XXENCODE and yEnc formats, (Decode also includes quoted-printable, 7 bit unencoded, & plain text); An integrated comparison viewer for a color coded display of the actual differences in files; Safe physical sort of directories; Touch files (change time/date & attributes stamps); Find duplicate files on a drive; Open files and launch applications; Multiple include/exclude file masks and the ability to include/exclude files based on size and date; Command line switches & script functions to automate comparisons & synchronize operations & control program options in effect via batch files; Configurable output file and print functions to create reports of single and comparison directory lists; Detects & runs (optionally) setup programs in archives; Display file version information including 8.3 file name equivalents; File numbering to number files sequentially based on adjustable sort order and a user defined starting value. Help file with examples included. International versions are available from http://www.funduc.com.

Directory Toolkit has been a winner of the WUGNET® Windows NT Shareware Pick of the Week for (www.wugnet.com/shareware), WUGNET® Windows95 Best Choice Shareware for the week, and featured Lockergnome's Free Windows 95/NT E-zine (www.lockergnome.com). It has a ZDNet Hotfiles (www.hotfiles.com) of 5 stars.

Funduc Software ZIP Extractor

Funduc Software ZIP Extractor is ZIP "self-extractor stub" that lets you turn your ZIP files into a self-extracting executable that will automatically unZIP the archive when launched. This allows you to share your zip files with another person who might not have an unzip software on their computer &/or who might have only occasional use for an unzip tool. The self-extractor allows some or all files to be extracted and can create the paths in the zip file (default) or "flatten" the directory structure (unzip into a single path).

Registry Toolkit

Registry Toolkit lets you search &/or replace and edit the Windows registry. You can specify the data types to process, start key, case sensitive, whole word. Regular expression operations using an egrep-type syntax are also available. You can create/edit keys, values, &/or data manually if you wish. A unique 'operations' function lets you move/copy/delete/export values you select. For example, you can copy/move keys from one location in the registry to another. The program now maintains multiple 'undo' files that can be used to reverse previous changes (10 is the default). An automatic 'last change' undo is available from the program GUI. Replaces can be previewed in advance, in-context. Replaces can also be previewed in the context of an overall search - a comparison dialog then lets you select/deselect specific operations to perform before making the overall replace. The program can print search & registry browse results. The .reg import function allows you to compare existing data vs. data to be imported - specific items can then be selected/deselected. The .reg export function can be used to make special .reg files that delete keys when merged via Registry Toolkit or our new Registry Toolkit Merge program (see our web site). The various program comparison dialogs are configurable and their contents can be copied to the windows clipboard. The program can read DOS environment variables and use them in a search/replace. Script file & command line functions are available for automated &/or complex operations. Registry Toolkit will operate on a remote registry (if you have permission to do so). A German interface is available.

Registry Toolkit Merge

Registry Toolkit Merge is a companion program for Registry Toolkit. Registry Toolkit Merge is a command line that merges .reg files into the Windows registry. Registry Toolkit Merge is unique because it can be used to create self-contained, self-importing .exe's. When clicked on, the .reg information is imported into the registry (after confirmation). This is be useful, for example, if you need to distribute a .reg file to others but are worried that they might not know how to import a .reg file manually. Alternatively, a .reg file can be passed to the program from the command line. Like Registry Toolkit, the program can be used to apply .reg files that will delete keys from the registry or copy/move them to another location -- tasks that cannot be accomplished easily by the regedit.exe .reg merge function that comes with Windows.

Folder Synchronize

Folder Synchronize is a command-line utility useful to network administrators and other power users. It provides a subset of the functions in our Directory Toolkit utility, namely, the comparison & synchronize functions. We created Folder Synchronize for those who needed those functions but not the GUI interface & other functions of Directory Toolkit such as archive management, file operations, etc. Folder Synchronize is a native 32-bit executable for use with all 32 bit Windows platforms.

Folder Synchronize can synchronize two paths using one of 6 synch methods. The program can also do a comparison-only. This is useful with the output report function. When the output report is enabled it will contain a summary of the path comparison &/or a summary of the file operations carried out by the synchronize. Other features include: Switchable display (or not) of a progress meter; A custom bitmap & message of your choice can be displayed on the screen while an operation progresses; A 'No Cancel' switch can be used to make it less easy for a procedure to be interrupted; Require (or not) confirmation of file operations; Complex include/exclude file masks that let you include/exclude some file or subdirectories while including others; Multiple operations can be submitted to the program via multiple 'configuration files'.

Folder Synchronize Script Editor

The 'Script Editor' is used to generate (or edit) script files that can then be used with Folder Synchronize or our Directory Toolkit utility. The script switches are presented in an organized arrangement. The display of related switches can be collapsed/expanded for readability.

Application Mover

Application Mover is a tool that relocates installed programs from one path to another on your hard disk. Application Mover takes files found one path and moves them to another that you specify. Application Mover scans the windows registry for references to old file location and adjust the registry to the new location. Application Mover also scans all windows shortcuts in the Start Menu and adjusts those as well. *.ini and *.log files present in the program's path are updated to reflect the new location of your program.

Application Inventory

Application Inventory is a utility that scans your system for program .exe files and generates a configurable report about the files that were located. Optional follow-up scans are then initiated to cross-reference the initial scan results with windows .lnk shortcuts and/or references in the windows registry. Further details on files are available from Properties and References dialogs. Include and exclude filters are available to define the initial search by path &/or string(s) found in file version information. The fields included in the initial file scan are configurable. Results be sorted, copied to the clipboard, printed, or saved in a delimited file you specify. Application Inventory can also launch windows explorer on the path containing a file in the results list. Although Application Inventory is intended as a reporting tool, various windows properties sheets can be launched that allow you to make edits to file or shortcut properties. The program defaults to scanning for .exe files but a special switch is available to scan for another file type that you specify.

Duplicate File Finder

Duplicate File Finder is utility for 32 bit windows that locates duplicate files on in one or more paths. Unlike other utilities that only check file names, Duplicate File Finder performs a binary comparison of file contents and can locate files that are alike regardless of names. The path(s) to scan is configurable by file path and file mask(s) and filter settings can be used to include/exclude files by date, size, attribute. Results can be saved to a tab delimited file. Supplementary functions include launching files, deleting files to the recycle bin, opening Explorer on a path, and examining file properties.

File Merge Express

File Merge Express is a file comparison and merge utility for 32 bit Windows. The program displays a contents comparison of two files and can (optionally) create a third file, 'Merge File' that consists of the merge of the two files being compared. The Merge File can (optionally) be opened in the built-in text (or binary) editor. The program has options for file naming of the Merge File, including automatic naming when the two source files for the comparison have the same name. The Compare Files dialog is also used to establish parameters such line prefixes, colors, orientation of the preview, etc. Command line parameters are available to specify files to compare or a script file to use. The program can also be launched from the Windows Explorer right click menu.

Delivery Agent

Delivery Agent is a send-only e-mail program, with mail merge functions, for use by web site managers, network administrators, customer relations and support personnel, etc. The program is used to deliver frequently used, customer-requested e-mail messages (& MIME attachments) such as newsletters, product delivery & announcements, support notes, etc. Messages can be sent to one or more users by selecting a message from a list and entering the users' address. The program can read a text file containing a list of addresses for bulk delivery. Recipients of bulk deliveries are shielded from seeing the other recipients in the list. The program checks a POP e-mail account prior to sending message via SMTP - useful for servers that 'validate' the users current IP address prior to mail relays. Version 3.0 adds MAPI support. When activated, the program will route outgoing messages to your primary MAPI-aware e-mail program. Mail merge field name definitions, variable names, and data are stored in a single file containing the data and e-mail addresses. Variable names can be anything you like (except for the name of the e-mail address field). Mail Merge 'Constants' can also be defined. The program has a customizable header function that can be used to send web mail' or 'HTML mail'. The "To: " field can also be customized for bulk, non- mail merge deliveries. Port settings to use and maximum number of recipients per block can be configured manually. Settings and messages can be created via the program GUI or, once you are familiar with the program, via an external text editor. A full complement of command line switches allows the program to be incorporated into your .bat routines. A log file of deliveries can be enabled (or not).

Shortcut Doctor

Shortcut Doctor allows you to check your Windows links/shortcuts and see which contain targets which can no longer be found. The program can then delete the shortcuts, resolve them, or carry out search/replace operations to modify shortcut fields with or without validation of new paths. Network Drive mappings can be inserted in the Replace dialog automatically. Individual shortcuts can be edited and all shortcuts on a drive can be displayed, regardless of whether they are valid or not. Explorer Internet URLS can also be checked for problems. CD-ROM drives, network drives, and specific paths can be ignored during processing. Includes an Empty Recent Documents button. Script files, run from the command line, allow you to do multiple operations, control program options, and easily specify complex paths. A German interface is available.

Funduc Explorer Extensions

Explorer Extensions is a collection of enhancements for the Windows Explorer right-click context menu: a) Encode and Decode Email attachments - support for UUENCODE, Base64(Mime), BinHex(Mac), XXENCODE, quoted-printable, 7 bit unencoded, & plain text, b) Split and Concatenate large files into smaller ones for storage on floppies & visa versa. Split can be based on file size or a string found in a file, c) Touch files - change the time, date, & attributes of files. Touch can add (or subtract) a user specified time value from the current file time. d) File Operations - copy/move/rename/delete files using complex file masks. The program can also change the case of file names & number files. A German version is available.

Drive Bar

Drive Bar allows you to conveniently open views of your drives in the Windows Explorer. Drive Bar's Auto Hide function allows it to disappear from view when not in use so that it does not take up screen space. Drive Bar is resizable and can be set to remain visible at all times. It can also be set to launch alternative file manager programs in lieu of Windows Explorer, launch views as "Tiled" or not, ignore specified drives in the list of drive icons, and run automatically at Windows startup.

Update Toolkit

Update Toolkit is a multi-purpose application intended for administrators network managers. This program was created for those who need some or all of the separate functions of our Folder Synchronize, Shortcut Doctor, Registry Toolkit, and Search and Replace utilities under one command line application. Operations are controlled by scripts and are highly configurable. While Update Toolkit can be used on individual machines, it is oriented toward 'logon-script' operations for workstations. The program has no user interface and therefore is well suited for automated operations.

Count Characters (freeware)

Count Characters copies most Windows controls' data to the clipboard! That's just one of the features of this freeware program from Funduc Software. The program can report the type and content of some of the windows currently displayed on your desktop and for the most popular types of controls (including lists and trees) it can copy their contents to the clipboard. You can also copy the contents of password fields and regular text boxes. Cost: Free.

Decode Shell Extension (freeware)

Decode Shell Extension is very popular freeware app is an extension for the Windows Explorer. The program allows you to decode Internet email attachments by right-clicking on a saved message file from Explorer and selecting Decode from the menu. The program supports multiple attachments, multi-part files (already concatenated), UUENCODED, Base64(MIME), BinHex (Mac format), quoted-printable, XXENCODED, plain text files, and User (table) encoded files. If the attachment contains only one file, Decode Shell Extension will offer to open it using either the associated program or Notepad. For virus safety reasons, it will not offer to launch .exe., .com, .bat, & .cmd files. You should scan decoded Word and Excel files with your anti-virus checker before loading them.

DBComp Ver 1.0 (freeware)

DBComp is a database comparison and merge application that compare two OBDC data sources for alike vs. different records and generate a "Difference File" that lists the records that either do not match or have been added/deleted from one data source compared to the other. DBComp can also perform a "Merge" operation that uses Difference File generated by DBComp and updates an OBDC data source via SQL statements. You can view the SQL statements in advance and remove one (or more) in advance if you wish. DBComp version 1.0 is freeware.

Word Search and Replace

Word Search and Replace is a freeware macro for Microsoft Word. It uses the 'find and replace' functions of MS Word to perform a search/replace in one or more files selected by a file mask supplied by the user. We created 'WordSR' for those who need to search/replace in Word documents only. The macro can use the Word 'Pattern Matching' regular expression switch. Case Sensitive and Whole Word search/replace is also possible

Excel Search and Replace

Excel Search and Replace is a counterpart to our Word Search and Replace. This is a freeware macro for Microsoft Excel that searches (and replaces) in multiple .xls files using Excel's built-in find & replace function.

PowerPoint Search and Replace

PowerPoint Search and Replace rounds out our collection of freeware find and replace Office Macros. This macro is a PowerPoint .ppt file that works with MS PowerPoint files using the find and replace functions that are part of PowerPoint. You need to have the full version of PowerPoint installed. The macro can be run as a slide show but it will not work if you only have the PowerPoint Show Viewer from Microsoft.

TZAdjust (freeware)

TZAdjust, which stands for Time Zone Adjust, is a freeware app we created for users who find it necessary to make manual changes to the Windows time zone and 'day light savings' offset parameters. TZAdjust is probably of greatest interest to Windows NT-class users. NT/2000/XP returns time information as an offset from Greenwich Mean Time (GMT). In addition, the OS automatically makes Daylight Savings compensations when reporting file times. One can disable "Automatically Adjust for Daylight Savings" entirely in the Windows Day/Time Properties dialog but there may be other instances where finer control over time zone and the daylight offset is desired. Do not use TZAdjust casually. Be sure to read the information in the 'readme.txt' before using this program.

HexView for Windows 95/98/NT (freeware)

HexView is a multiple document Hexadecimal viewer that can display, print, and print preview any file as a hex dump. It is intended as a supplement for Search and Replace for Windows, however, it is a standalone app and does not require Search and Replace. A Japanese version is available.

Limit Edit (freeware)

Limit Edit expands upon the built-in limit feature for edit boxes & rich edit controls by letting you set your own maximum size settings for the amount of text permitted in edit boxes and rich edit controls. For example, Limit Edit can set a limit on the amount of text allowed in an instance of the Notepad text editor. The Limit Edit dialog also displays interesting information about the types of controls in use by a program. Although intended for edit boxes and rich edit controls only, it may also work on some other controls that are subclasses of these. Separate 16 and 32 bit version included.

INI to Registry (freeware)

INI to Registry works well with any program that relies on .ini files. It can read the contents of any INI file and load them into the Windows registry. That way programs which previously used INI files can read the old data from the registry. The program is free. The source code is available for $25. Please E-MAIL mime@funduc.com for information on purchasing the source code.

Patch Creator

Patch Creator, one our legacy products, is a tool for software authors. It is a two part program used to make patches for updating registered versions software. Both the Patch Creator (used on the developer's end) and the Patch Applicator (applies the patch on the end user's machine) are easy to use GUI programs. Command line switches or complicated run instructions are not necessary on the user's end. The Creator and Applicator are 32 bit GUI Windows utilities. You can require passwords to run the Applicator (or not). Patches can be created to update files on users' machines from a specific version, add files regardless of existing version, remove files, or rename files. Patches that conduct 'updates' are based on binary differences between old vs. new files. Compression can be used to further reduce the size of the patch. Patches for multiple versions can be include in a single patch file. Patches can be configured to use a registry value on the end user's machine for setup path information and the applicator can also write a .reg file to the user's registry upon completion. In addition, patches can be set up to halt operations if specified files(s) are not found on the end user's machine. This can be used, for example, to not patch any files if a critical file you specify is not present. The Patch Creator has a script language for saving complex patch setups and it can be run from the command line for use in automated routines. A German version is also available.

Decode/Encode DLLs

Decode/Encode DLL is another legacy product for software developers. The Decode/Encode DLL can be called from any Windows programming language (such as VB, Visual C, Powerbuilder, etc.). It allows you to automatically detect if a given file is UUENCODED, Base64(MIME), XXENCODED, BinHex, encoded with a user-supplied table, quoted-printable, or plain text. The DLL can then decode the file(s) either in the current directory or in one specified by the user. Binary files can also be encoded for transmission over the Internet. Functions are available for encoding/decoding to/from memory buffers, listing message body text, and message headers. Utility functions for split/concatenate are also available. Example code and a model test program is included. Cost: $58 (no royalties).


License Information

Registry Toolkit
Copyright (c) 1998-2009 by Funduc Software Inc.
All rights reserved.

See Ordering Information for information on how to purchase (register) Registry Toolkit.

License Agreement and Warranty Disclaimer

You should carefully read the following terms and conditions before using this software. Use of this software indicates your acceptance of these terms and conditions. If you do not agree with them, do not use the software.

Shareware Version License

The Shareware Version is not free software. If you are using the shareware version you are licensed to use this software for evaluation purposes without charge for a period of 50 uses. If you use this software after the 50-use evaluation period a registration fee is due (see Ordering Information).

If you are using the Shareware Version of the software you are also hereby licensed to: Make as many copies of the Shareware version of this software and documentation as you wish; Give exact copies of the original Shareware version to anyone; Distribute the Shareware version of the software and documentation in its unmodified form via electronic means. There is no charge for any of the above.

You are specifically prohibited from charging, or requesting donations, for any such copies, however made; and from distributing the software and/or documentation with other products (commercial or otherwise) without prior written permission.

You may not decompile, disassemble, reverse engineer, or modify any version of Registry Toolkit (shareware) in any manner.

Unregistered use of Registry Toolkit after the 50-use evaluation period is in violation of federal copyright laws.

Registered Version License

One registered copy of Registry Toolkit may be dedicated to a single person who uses the software on one or more computers or workstations that are for their own exclusive use and for which they are the sole user.

The purchase of a single user license specifically does not permit use of the program to modify, update, or search multiple workstations, directly or indirectly, via any means. A single user license may not be made available in any form to multiple users or workstations.

Licensing is not based on "concurrent" users. If multiple workstations are to access the program in any form and for any length of time you must purchase licenses for the number of workstations that will access the program. If you make the registered version of Registry Toolkit available through a network and accessible by multiple users or workstations you are required to purchase licenses for the software covering all workstations that will access the software through the network. Special pricing is available for multiple licenses. See Ordering Information for information on how to purchase (register) Registry Toolkit.

You may not decompile, disassemble, reverse engineer, or modify Registry Toolkit (registered) in any manner.

Workstation Update and/or Special Use License

Special licensing (and pricing) is available for modifying or searching multiple workstations, directly, or indirectly via scripts, command line processing, or logon routines. The purchase of a special use license allows you to use the program to update the number of workstations for which you purchased special use licenses for. Unless otherwise noted at the time of your purchase, a workstation update/special use license specifically does not allow individual workstation users to access the program for interactive use. Do not create desktop shortcuts or launchers that allow workstation users to access the program outside of the specific update routine for which you purchased the special use license.

Please contact support@funduc.com if you have a special use request involving multiple workstations that will access the program for workstation updating or modification routines.

Ownership Rights

Funduc Software, Inc. owns and retains all copyrights, patents, trade secret rights, trademarks and intellectual property rights to this software. Registration &/or use of the software does not grant you any right to the intellectual property in the product.

Customer Support

Customer support can be obtained by visiting our home page at www.funduc.com or by email at support@funduc.com.

Restrictions

You are prohibited by law from selling, renting, leasing, loaning, or donating the program or documentation in whole or in part without specific advance agreement between yourself and Funduc Software, Inc. You are prohibited by law from redistributing the program by any method or in any form except to the specific individuals for whom the software was purchased. You are prohibited from decompiling, reverse engineering, disassembling, modifying, or otherwise reducing the program to human readable form for any purposes whatsoever. You may not modify the program or documentation in any manner. You are prohibited from permitting anyone else from undertaking any of the above actions.

Governing Law

This agreement shall be governed by the laws of the State of Michigan.

Disclaimer of Warranty

This software and the accompanying files are sold "as is" and without warranties as to performance of merchantability or any other warranties whether expressed or implied. In particular, there is no warranty for the string Replacing feature.

Good data processing procedure dictates that any program be thoroughly tested with non-critical data before relying on it. The user must assume the entire risk of using the program. Any liability of the seller will be limited exclusively to product replacement or refund of purchase price.


Registry Toolkit Shareware Version

Registry Toolkit Shareware

Thank you for your interest in Registry Toolkit. The shareware license is for a 50-use evaluation period, beginning with the first use the program. A startup splash screen that must be manually dismissed is present in the shareware version. Aside from this splash screen there are no functional limitations in the shareware version other than the time out.

The registered version has no initial startup screen. If you are testing the shareware version with scripted or command line routines, the registered version will run your routine without requiring that an initial startup screen be dismissed manually.

Regarding customer support for the shareware version - If you have a question that is not answered in the documentation, please see the Registry Toolkit FAQ on our Web site (www.funduc.com). If you need further assistance, you may contact us by EMAIL at support@funduc.com and we will do our best to answer your questions. However, please be aware that ongoing support necessitates that you register Registry Toolkit.

Please see Purchase & Order Information for how to obtain a registered version of Registry Toolkit.


Main Dialog About Box Button

About Box: Activates the Registry Toolkit About Box.


Main Dialog Add Key Button

Add Key: Click here to add a key under the key that is currently highlighted.


Main Dialog Add Value Button

Add Value: Click here to add a value for the key that is currently highlighted.


Main Dialog Browse Button

Browse: Click here to Browse the registry and select a key.


Browse Dialog Cancel Button

Cancel: Click here to close the dialog without making any changes.


Browse Dialog Display

Browse Display: A navigable tree display is presented here. You may expand or contract the key hierarchy as needed by clicking with the mouse on + or - to the left of the folder icons for the keys. Double click with the mouse on a key to select that item for use in a later operation and close the dialog.


Browse Dialog Help Button

Help: Activate the online help.


Browse Dialog Network Button

Network: Click here to connect to a network registry.


Browse Dialog Select Button

Select: Click here to select the currently highlighted item for use in a later operation and close the dialog.


Cancel Button

Cancel Button: Click to abort.


Collapse All Button

Collapse All: Select this to collapse the available tree from the highlighted point & below.


Compare Dialog - Column Tabs

Column Tabs: The columns can be resized by dragging the separators with the mouse.


Compare Dialog - Different Icon

Different Icon: When data differs between the '.REG Data' and 'Registry Data' columns, the icons are like this. The data in the '.REG Data' column replaces the data in the registry if you click on the 'Merge Values' button. To eliminate a pending change, click on 'Delete from List'. This will change the icon to [image] and the data in the '.REG Data' column will be blanked out to indicate no change will happen.


Compare Dialog - Key Paths

Key Paths: The key paths are listed here.


Compare Dialog - No Registry Data Icon

No Registry Data Icon: When data is present only in '.REG Data' column the icon is like this. The effect of a 'Merge Values' click will be to add this value/data to the registry. If you click on 'Delete from List', these values will be removed completely from the display. Note that if you are working with an import .reg file, 'Delete from List' removes the value from the pending change but the .reg file itself is NOT modified.


Compare Dialog - No REG Data Icon

No REG Data Icon: When Registry Data is present but there is no pending change in the '.REG Data' column, the icon is like this. These items will have no effect if you click on the 'Merge Values' button. If you don't want these values listed, adjust your settings in Compare Options.

Note that this icon & data arrangement results from: a) No counterpart in the .reg file you are about to import, OR, b) A 'Delete from List' click. In the case of 'Delete from List', the '.REG Data' column is blanked out and the icon changes to this style.


Compare Dialog - REG Data1

REG Data: Here the '.REG Data' and 'Registry Data' match. No change will occur if you click on 'Merge Values'. If you want you can click on 'Delete from List'


Compare Dialog - REG Data2

Value to be deleted: This is a special operation present here for example purposes. See 'Delete values via a .reg file' and 'Delete keys via a .reg file' for more information.


Compare Dialog - REG Data3

Registry Data Only: When the display list values/data like this, where data is listed in the 'Registry Data' column only, no change occurs to the registry if you click on the 'Merge Values' button. If you don't want these values listed, adjust your settings in Compare Options.


Compare Dialog - REG Data4

Data to be Added: When the display lists values/data like this, where data is present in the '.REG Data' column but not the 'Registry Data' column, this value/data will be added if you click on 'Merge Values'. To eliminate a pending change, click on 'Delete from List'. This removes the item completely from the list.


Compare Dialog - REG Data5

Data to be Added/Changed: When the display lists values/data like this, where data in the '.REG Data' and 'Registry Data' columns differ, the data in the '.REG Data' column replaces the data in the registry if you click on the 'Merge Values' button.

To eliminate a pending change, click on 'Delete from List'. This will change the icon to [image] and the data in the '.REG Data' column will be blanked out to indicate no change will happen.


Compare Dialog - Same Icon

Same Icon: When data in the '.REG Data' and 'Registry Data' columns matches, the icons are like this.


Compare Dialog - Value Names

Value Names: Value Names are listed here. Note that 'Default' values are listed without a name.


Compare Dialog - Value Names - Default

Default Value: 'Default' values are listed without any Value Name.


Context Menu

The Registry Toolkit right click context menu will be available when a key, value, or data value is highlighted. The active choices are determined by the item selected. For help on the functions, click on the graphic below.

Search or Replace in Registry: Select this to perform a Search or Replace.

Browse: Select this to browse the registry.

Import: Select this to Import a REGEDIT4 .reg file.

Export: Select this to Export the selected key to a REGEDIT4 .reg file.

Modify: Modify the highlighted key name, value, or data.

Delete: Deletes the highlighted key or value. A confirmation dialog is provided.

Show Subkeys: Select this to activate the Show Subkeys function. The program will read and display the subkeys below the highlighted key.

Show Values: Select this to activate the Show Values function. The program will read & display the values & data below the highlighted key.

Add Key: Select to this to add a key. under the highlighted key.

Add Value: Select this to add a value.

Copy Key Name: Copies the highlighted key name to the Windows clipboard.

Expand All: Select this to expand the available tree from the highlighted point & below. Note the program must have previously read the registry section via a search (or replace), Show Subkeys, or Show Values.

Collapse All: Select this to collapse the available tree from the highlighted point & below.

Find in Results: Search the current list of results.

Find Next: Search to next found in results list.


Funduc Copyright

Registry Toolkit

Copyright (c) 1998-2009 by Funduc Software Inc.
All Rights Reserved
www.searchandreplace.com www.funduc.com

See Ordering Information for details on how to purchase Registry Toolkit or write us at info@funduc.com. See License Information for details about licensing. For customer support, contact support@funduc.com. Also visit our web site for product information, trialware & freeware downloads of our other award winning software products.


Data Types Information

The DATA TYPE defines the format of a particular registry value. All data types begin with the prefix 'REG_' and use a suffix describing the data format for the value. Registry Toolkit can accommodate the following data types:

REG_SZ: A sequence of characters forming a string value.

REG_EXPAND_SZ: As with REG_SZ values, these are character strings which are "expandable" by virtue of the fact that they contain a variable which is replaced when the value is accessed by an application.

REG_MULTI_SZ: These are text format multiple string values in text format in which each individual values is separated by a null (0).

REG_BINARY: Binary values are stored in raw binary format.

To search/replace binary data:

  • Turn on Regular Expression search in the Search/Replace dialog.

  • In the Search For (or Replace With) fields, enter the ascii equivalent in the form \Ox??\, where ?? refers to the hex value. For example, to search for 0C 00 01 in binary data and enter \0x0c\0x00\0x01 in the search string field.

  • At minimum, Check Binary Fields (REG_BINARY) in the "Data" tab.

REG_DWORD: Numeric values which are 4 bytes long. Device parameters, service values, and numeric configuration values are often expressed in this data type. This data type can be displayed in decimal, hexadecimal, or binary format in the Windows Registry Editor.

To search/replace decimal REG_DWORD values using the Registry Toolkit Search/Replace dialog:

  • In the Search For (or Replace With) fields, enter the decimal value to find.

  • Uncheck all boxes in the "Settings" section of the Search/Replace tab. Reg Expression must not be checked.

  • Search for Data only (uncheck Values & Keys in the "Search/Replace In" section).

  • Check only Numeric Fields (REG_DWORD) in the "Data" tab.

Alternatively, you can search for DWORD as a binary string using the instructions above.


Data Types Info 2

The DATA TYPE is used to define the format of the Registry value. All Registry data types begin with the prefix 'REG_', and use a suffix to indicate the format of the data contained in the value. The following describes the data types of registry values:

REG_SZ values are a sequence of characters forming a string value. Many of the values which can be easily changed by the system administrator are of this type.

REG_DWORD values are numeric values which are 4 bytes long. Device parameters, service values, and numeric configuration values are expressed in this data type. This data type can be displayed in decimal, hexadecimal, or binary format in the Registry Editor.

REG_MULTI_SZ values contain multiple string values in text format. The individual string values are separated by a null (0).

REG_EXPAND_SZ values are expandable data strings which contain a variable which is replaced when the value is accessed by an application.

REG_BINARY values are hardware configuration information stored in raw binary format. The Registry Editor can also display these values in hexadecimal format.

REG_FULL_RESOURCE_DESCRIPTOR values are used to store configuration data for hardware devices. These values represent a record of information that has field names describing the individual components of the record.


Default Data

When a new key is created in the windows registry, a value named '(default') created automatically. This is a function of the registry itself. You can edit existing data & search/replace the data associated with (default) but the name - (default) - cannot be changed.

Registry Toolkit's main dialog currently does not list the '(value not set)' entry that you may see in Microsoft's Regedit application when there is no data associated with (default).

See the below steps to make create data for (default) or delete existing data for (default).

Add New (default) data to a brand new key:

1. Create the key itself by clicking on the Add Key button or selecting Add New Key from the Edit Menu.

2. Enter the key name in the dialog and click on OK.

3. Highlight that the key you just created and click on the New Value button.

4. In the Add/Edit Value dialog, leave the 'Value' field blank. Yes, blank. Do not enter (default). Leave it blank. Pick a data type from the selector if (default) is to be something other than string data. Click on OK

5. In the Add/Edit data dialog that follows, enter the data to use for (default). Click on OK..

Add New (default) data to an existing key:

1. Highlight the key in question. If there is currently no data associated with (default). Note that Registry Toolkit will not even list (default) if you click on the Show Values button when this is the case.

2. Click on the New Value button.

3. In the Add/Edit Value dialog, leave the 'Value' field blank. Yes, blank. Do not enter (default). Leave it blank. Pick a data type from the selector if (default) is to be something other than string data. Click on OK.

Delete (default) data:

1. When there is some data associated with (default), Registry Toolkit lists (default) and the data when you click on Show Values.

2. Highlight (default).

3. Delete via the delete key or the Delete button .


Default Value (P)

Default Value & Data: '(default') data can be edited and searched/replaced the same as any other data. However, the value name, '(default'), is a not accessible and cannot be changed. If there is no data associated with (default), Registry Toolkit will not list the '(value not set)' entry that you may see in Microsoft's Regedit application. See Default Data for help on creating a new data for the value, '(default)'.


Main Dialog Delete Item Button

Delete Item: Delete the highlighted key, value, or data.


Main Dialog Edit Item Button

Edit Item: Click here to edit the highlighted key, value, string data, or binary data. The dialog that follows will vary according to what is highlighted.


Edit Menu

The Registry Toolkit Edit Menu consists of the following functions:

Undo Last Replace(s): Select this to Undo the last changes.

Browse: Activates the Browse Dialog to select a key or value.

Modify: Modify the highlighted key or value. This will be dim if nothing is selected.

Delete: Delete the highlighted key or value. This will be dim if nothing is selected.

Add Key: Activates the Add/Edit key dialog.

Add Value: Activates the Add/Edit value dialog.

Copy Key Name: Copies the name of the currently highlighted key. This will be dim if nothing is selected.

Find in Results: Activates the Find Dialog to search for a string in the Main Dialog or the Import Comparison Dialog. Ctrl+F does the same thing.

Find Next: Repeat the last search, if one was done in the current session. F3 does the same thing.


Editor Notes

Here's how you can find 1:

\0x01\0x00\0x00\0x00.

\0x10\0x00\0x00\0x00

This is because of the Intel byte ordering. \0x10\0x00\0x00\0x00 will find 16 and so on.

98323

01/18/99: Note - Screen-based operations, such as manual delete, do not write to the undo file. Need to document this.

08/16/99:

The database seems good. Ditto for the new SD & RT. I'll look at RT's hlp tomorrow. Should be easy enough. One thing I'm confused on though -- I might have missed a message -- How does Set Value Data= differ from >String= , Expanded String= , Multi String= , Binary= ?

There's only one setting: "Set Value Data"=dword:00000001 for REG_SZ type, "Set Value Data"=dword:00000002 for REG_EXPAND_SZ and so on. Seemed like a safety measure to not replace if current type and the one used in this setting don't match, the replace is not made. This is a limited use option anyway. It'll probably stay as a hidden option for a while.

>I got the RT. Am I correct the only change really is Set Value Data= in scripts? I started to play w/ testing that last night but finally lost steam. Is there a default if Set Value Data=1 is not specified. I rummaged through messages last night and I seem to have completely missed how Set >Value Data= came about.

That and the flat toolbars.

Yep, 0. I always set the hidden flags in the .regs to the default. Some guy asked for it. Since there were no other substantive requests, I figured why not. You can also set the flag using the .reg attached and when you select Values (preferably values only) it'll replace their data instead.


Expand All Button

Expand All: Select this to expand the available tree from the highlighted point & below. Note the program must have previously read the registry section via a search (or replace), Show Subkeys, or Show Values.


Main Dialog Export File Button

Export File: Click here to export the selected key to a REGEDIT4 .reg file.


Favorites Menu - Select Favorites

Select Favorites List

When more than 20 favorites are in the Favorites list, a menu item called More Favorites is presented at the bottom of the list. Select More Favorites to access a favorite that is not in the initial list. A dialog similar to the below will appear. This dialog lists all possible entries. You can the make your choice from there.


Registry Menu

The Registry Menu consists of the following functions:

Search or Replace in Registry: Begin a search/replace operation.

Import Registry File: Activates the Import dialog. You are presented with a Comparison display in advance of the actual import and will have the opportunity to not import the data.

Export Registry File: Exports the current key to a standard REGEDIT4 .reg file.

Operations: Activates the Operations dialog to perform actions on specific keys/values.

Connect Network Registry: Establish a link to administer a remote registry that you have access rights to.

Print: Print the information currently on display in the Registry Toolkit main dialog.

Print Preview: Preview the printed output in advance of printing.

Print Setup: Change the current print settings.

Exit: Quit the program.


Help Button

Help: F1 will also launch the online help.


Help Menu

Activates Registry Toolkit online help. The F1 will do the same thing.

You may also activate the Registry Toolkit About box from this menu.


Copy Key

Available from the Edit Menu or the context menu, this copies the highlighted name to the Windows clipboard.


Modify Highlighted Item

Depending on the highlighted item, you will be presented with an Add/Edit Key dialog or an Add/Edit Value dialog.


Add Edit Value

Add Value

You will be presented with an Add/Edit Value dialog.


Registry Toolkit About Box

This window contains system and copyright information. The underlined link to our web site will launch the default www browser for your computer and take you to http://ww.funduc.com. The underlined EMail link will launch the default Internet EMail program for your computer. Click the Ordering Info button for Ordering Information or the License Info button for License Information.

For customer support, contact support@funduc.com .


About Box

Registry Toolkit

Copyright © 1998-2009 Funduc Software, Inc.
All Rights Reserved
http://www.funduc.com

See Ordering Information for details on how to purchase Registry Toolkit or write us at support@funduc.com. See License Information for details about licensing. For customer support, contact support@funduc.com or visit our web site at www.funduc.com for FAQs & program updates. Also check our web site for product information, trialware & freeware downloads of our other award winning software products.


Acknowlegements

Acknowledgments

Thanks to Ernie Allen (eallen@mediaone.net) for graphics design, beta testing, advice, and initial ground work on our web site.

And thanks to you, our customers, for your suggestions & support!


Customer Support

Customer Support Information

If you have a question that is not answered in the documentation, please try our Web site at www.funduc.com for any FAQ (Frequently Asked Questions) documents that may become available for Registry Toolkit. If you need further support, contact us directly by EMAIL at support@funduc.com. Please give as much detail as possible about the operation you want to perform and what the difficulty is.

To report a bug, EMAIL: bugs@funduc.com.

Registered users are eligible for support and quarterly updates for a period of six months.

Shareware Users: We will do our best to answer your questions, however, please understand that ongoing support necessitates that you register Registry Toolkit.

We welcome suggestions for improving Registry Toolkit. If you have an idea, first check the documentation and README.TXT file to make sure they are not already implemented or planned. If not, drop us a note at support@funduc.com.

For ordering information, please see Ordering Information.

Thank you for using Funduc Software products!


Search or Replace in Registry Dialog - Data Types to Process

Search or Replace in Registry - Data Types to Process

Click on the graphic for details.

Data Types to Process: Choose one or more of the data types for the search or replace to operate on except when searching for DWORD as a decimal value. In that case, check only Numeric Fields (REG_DWORD).


Search or Replace Dialog Data Types Radio Buttons

Data Types to Process: Choose one or more of the data types for the search or replace to operate on except when searching for DWORD as a decimal value. In that case, check only Numeric Fields (REG_DWORD).


Search or Replace Dialog Browse Button

Browse Button: Activates the browse dialog.


Search or Replace Dialog Cancel Button

Cancel: Click to abort the operation and close the dialog.


Search or Replace Dialog Match Case Field

Match Case: Check this for case sensitive searches.

Uncheck Match Case when searching for REG_DWORD.


Search or Replace Dialog Search Data Field

Search/Replace in Data: Click this to search/replace in value data.

This is the only entry that should be checked when searching for REG_DWORD.


Search or Replace Dialog Help Button

Help: Click to activate the online help. The F1 key does the same thing.


Search or Replace Dialog Search Keys Field

Search/Replace in Keys: Click this to search/replace in keys & subkeys.

Uncheck when searching for REG_DWORD.


Search or Replace Dialog Regular Expression Field

Regular Expression Search/Replace: Check this for a Regular Expression search/replace or when you wish to search binary data.

Uncheck Regular Expression when searching for REG_DWORD.


Search or Replace Dialog Replace String Field

Replace Field: Enter the replacement text, if any. If you want the Output/Undo File to list the search-results only, leave blank. If you want the Output/Undo file to list a preview of a search/replace, enter a replace string here but click on the Search button. The replacement string can make use of the Environment Variables operator.


Search or Replace Dialog Replace Button

Replace: Click to begin a search/replace.


Search or Replace Dialog Search String Field

Search Field: Enter the text to search for.

To search for binary data, turn on Regular Expression and enter the string in the form \Ox??\, where ?? refers to the hex value. For example, to search for 0C 00 01 in binary data and enter \0x0c\0x00\0x01 in the search string field.

To Search for DWORD values, use the decimal value, Uncheck all boxes in the "Settings" section, Check only "Data" in the "Search/Replace In" section, Check only REG_DWORD in the Data tab.

You can search for the value of Environment Variables.


Search or Replace Dialog Search Button

Search: Click to begin a search.


Search or Replace Dialog Start In Field

Start In: This field will be pre-selected based on either the key currently selected in the main dialog or the previous results of a browse operation. You may type in a different key or use the browse button ( [image]) to the right to select a starting point for a search/replace. You can also use wild card characters.


Search or Replace Dialog Search Values Field

Search/Replace in Values: Click this to search/replace in value names.

Uncheck when searching for REG_DWORD.


Search or Replace Dialog Whole Word Only Field

Whole Word Only: Check this for to find the exact word or phrase, surrounded by whitespace. For example, when checked, a search for "Funduc" would find "Funduc Software…" would be found but not "C:\ FUNDUC\DIRTKT". When unchecked, both would be found.

Uncheck Whole Word when searching for REG_DWORD.


Add/Edit Binary Value

Registry Toolkit will provide a binary dialog when adding or editing binary data. You may enter hex values in the center section of the "Data" area of the dialog OR click with your mouse on the right section and enter text values. Text data will be converted to hex.

Note: To search for binary data, turn on Regular Expression and enter the string in the form \Ox??\, where ?? refers to the hex value. For example, to search for 0C 00 01 in binary data and enter \0x0c\0x00\0x01 in the search string field.

Click on the graphic or scroll for more information.

Binary Dialog Keys Display: The value you are adding or modifying data for will be the focus in this area. Although you can navigate this area of the dialog, the "Data" section will remain linked to the original value when the dialog is open.

Binary Data Offset: The offset is display here. You may not modify this.

Binary Data Hex: Enter hex data here. Use the Tab key or the cursor to switch to the text input area to the right.

Binary Data Text: Enter text data here. Use the Tab key or the cursor to switch to the hex input area to the left.

OK Button: Click to accept the current settings.

Cancel Button: Click to abort.


Binary Data Hex

Binary Data Hex: Enter hex data here. Use the Tab key or the cursor to switch to the text input area to the right.


Binary Data Offset

Binary Data Offset: The offset is display here. You may not modify this.


Binary Dialog Keys Display

Binary Dialog Keys Display: The value you are adding or modifying data for will be the focus in this area. Although you can navigate this area of the dialog, the "Data" section will remain linked to the original value when the dialog is open.


Binary Data Text

Binary Data Text: Enter text data here. Use the Tab key or the cursor to switch to the hex input area to the left.


Add/Edit Data

This dialog is used to enter new data to the a new value or edit existing string data. See Add/Edit Key, Add/Edit Value, and Add/Edit Binary Data for more information.


Value Name

Value Name: Enter the name of the value.


String Type

String Type: Choose the string data type to use for the value from the combo box ( [image]).


HIDD_PROCESS2

HIDD_PROCESS2 - Search & Replace in Registry?? Data


Delete

Delete from List: This removes move the highlighted item(s) from the list of pending changes. If you are working with a .reg file to import, the .reg file itself is NOT modified in any way.


Compare Registry Main List

Compare Registry Main List: A list of keys to be imported and their existing counterparts (if any) is presented here. Alike vs. different key/values/data are indicated by icons and actual data. You can resize the column tabs and the entire dialog.

Icon | Meaning
 | Identical
 | Different
 | No counterpart in import file
 | No counterpart in registry


Compare Registry Merge Button

Merge Values: Click here to merge the available items in the list.


Compare Registry Options

Options: Change the Compare Options. You can control whether or not to display identical vs. different values, values only in the .reg file, values only in the registry, and case sensitivity.


Compare Registry Files Options

The items to be displayed in the Registry Compare and Merge dialog, which is used during import, 'Prompt After Searching', and Undo Last Replace(s), is configurable. Make your selection(s) and click on the OK button to accept the settings and return to the compare dialog. Click on Cancel to disregard any changes and return to the compare dialog. Note that for 'Prompt After Searching' replacement confirmations, 'Display values only in registry' is automatically turned off.


Replacement Confirmation Dialog

Replacement prompts are established in the Replace Tab of the Search / Replace dialog. Two types of prompts are available.

1. Prompt on each Replace:

When this is activated the below prompt is offered before the first replacement is made. If you wish to skip the current item and continue the search to the next hit, click on "Skip This". To make all remaining replacements without further prompts, click on "Replace Rest". Use this choice carefully.

2. Prompt after Searching:

When this function is activated the program performs a search and collects a list of the proposed changes. In advance of the actual replacement you are presented with a comparison dialog similar to that of the Import Comparison. See Preview Replacements for more information.


Search or Replace in Registry Dialog - Replacement Prompts and Undo File Location

Search or Replace in Registry - Prompts & Undo File Location

Click on the graphic for details.

Replace Prompts: Make your choice for the type of replacement confirmation.

Write Undo REG to: Type in a path for the Output/Undo file or use the path browser button to the right.

Path Browse Button: Click here to open a standard Windows Save As dialog which you may use to select or create a path for the Output/Undo files.


Search or Replace Dialog Replace Prompts

Replace Prompts: Make your choice for the type of replacement confirmation.


Search or Replace Dialog Undo File Location

Write Undo REG to: Type in a path for the Output/Undo file or use the path browser button to the right.


Search or Replace Dialog Undo File Browser

Path Browse Button: Click here to open a standard Windows Save As dialog which you may use to select or create a path for the Output/Undo files.


Search/Replace Progress

The progress meter keeps you informed of the status of your search/replace operation. Click the cancel button at any time to abort the operation - the main dialog will present the results accumulated up the point at which you pressed cancel.

If you do not want the progress meter during interactive use, edit your registry and add the dword value, No Progress = 1, under
HKEY_CURRENT_USER\Software\funduc Software Inc.\Registry Toolkit\Settings

See Registry Switches for more information.

The above switch has no effect during scripts. To disable the meter during script operations, add the No Progress=1 switch to your script. See Scripts for more information.


Select Values Dialog

The Select Keys/Values dialog allows further selection of the values affected by the Operations function. Change the highlight as necessary.

Note: You can also use this dialog to copy to the windows clipboard. Right click and use the menu or press CTRL+C.


Main Dialog Import File Button

Import File: Click here to import a REGEDIT4 .reg file into the registry.


Language Support

International Language Support

Please contact Mike Funduc by EMail at mike@funduc.com if you would like to create a version for your native language. DLLs and documentation for other languages will be posted on our web site, www.funduc.com , as they become available.


OK Button

OK Button: Click to accept the current settings.


Operations (1)

Operation: Select the radio button for the operation you want - Copy, Move, Delete, Export.


Path of From Key (1)

Path of From Key: Type in an entry of use the browse button ( [image]) to select a key to copy/move/delete/export..


Select Values

Select Values Button: Click here after selecting the 'Path of From Key' to activate the Select Keys/Values dialog.


Path of From Key (1)

Path of From Key: Type in an entry of use the browse button ( [image]) to select a key to copy or move to. If Export is the operation, type in a file path or use the [image] to select a path & file name on disk for the .reg file.


OK Button (1)

OK: Accept the settings and begin the operation.


Operations Button

Operations: Click here to activate the Key/Value Operations dialog to move, copy, delete, export specific keys & values.


Context Browse

Browse: Select this to browse the registry.


Copy Key Name

Copy Key Name: Copies the highlighted key name to the Windows clipboard.


PEdit_Menu

Activates the Edit Menu.


PFav_Menu

Activates the Favorites Menu.


PFile_Menu

Activates the Registry Menu.


PHelp_Menu

Activates Registry Toolkit online help. The F1 key will do the same thing. You may also activate the Registry Toolkit About box from this menu.


Context Collapse All

Collapse All: Select this to collapse the available tree from the highlighted point & below.


Context Expand All

Expand All: Select this to expand the available tree from the highlighted point & below. Note the program must have previously read the registry section via a search (or replace), Show Subkeys, or Show Values.


Context Delete

Delete: Deletes the highlighted key or value. A confirmation dialog is provided.


Context Export

Export: Select this to Export the selected key to a REGEDIT4 .reg file.


Context Import

Import: Select this to Import a REGEDIT4 .reg file.


Context Show Subkeys

Show Subkeys: Select this to activate the Show Subkeys function. The program will read and display the subkeys below the highlighted key.


Context Show Values

Show Values: Select this to activate the Show Values function. The program will read & display the values & data below the highlighted key.


Context Add Key

Add Key: Select to this to add a key. under the highlighted key.


Add Value

Add Value: Select this to add a value.


Context Modify

Modify: Modify the highlighted key name, value, or data.


Context Menu Search or Replace in Registry

Search or Replace in Registry: Select this to perform a Search or Replace.


Preview Replacements

There are two methods to preview replacements in advance of actually implementing the replace.

1. Prompt after Searching:

To use this method, enable 'Prompt after Searching' in the Replace tab of the Search/Replace dialog. When this function is activated the program performs a search and collects a list of the proposed changes. In advance of the actual replacement you are presented with a comparison dialog similar to that of the Import Comparison. In the case of 'Prompt after Searching', the '.REG Data' column is the pending replacement information. The 'Registry Data' column is the current information. You can elect to omit one or more items by highlighting them an clicking on 'Delete'. Click on 'Merge into Registry' to implement the change(s).

Background Note: 'Prompt after Searching' works by generating a REGEDIT4 .reg file that contains the replacement(s). The program then performs an automatic import comparison using that .reg file. Hence, 'Merge into Registry' is used to implement your final changes.

2. Manual Viewing of the Output/Undo File:

Registry Toolkit creates 'undo.reg' files in the path specified in the 'Write Undo .REG file to' field in the Replace tab of the Search/Replace dialog. You can examine these files manually with your text editor to preview what the registry settings would be if a replace were implemented.

To use an output to preview a replace, establish your search and replace strings & parameters but PEFORM A SEARCH ONLY. What will be listed in the most resent undo.reg file is the replace(s) if you were to implement a replace. Note that you MUST specify a replace string. If no replace string is specified the most recent undo.reg file will be a search report that lists the places where search hit(s) occurred.


Main Dialog Print Button

Print: Click here to print the information currently on display in the Registry Toolkit main dialog.


Print Preview

The print preview dialog allows you to visualize the information that will be sent to the printer. Use Next Page, Previous Page, Zoom In, and Zoom Out to navigate and adjust the display. Click on the print button if you want to direct the information to a printer. Click on the close button to exit the dialog.


Main Dialog Print Preview Button

Print Preview: Click here to preview the printed output in advance of printing.


Print Setup

Depending on your computer setup and installed printers, you may use a standard Windows printer setup dialog to change your print setting in advance of a print operation.


Process Subkeys

By default, Registry Toolkit search/replace operations recurse all subkeys. To process data/values only in the immediate key specified as the starting key but go no lower, use the Process Subkeys= switch in a script. The possible values are: Process Subkeys=1 or Process Subkeys=0.

For example, if HKEY_CURRENT_USER\Software\Test is the starting level for your search/replace, if Process Subkeys is turned off, only values immediately HKEY_CURRENT_USER\Software\Test will be processed.

A counterpart switch for interactive use will be added to the program GUI in the future.


PView_Menu

Activates the View Menu.


Refresh

'Refresh' is available from the View Menu or by pressing F5 in the Main Dialog. Refresh shows modified data and/or deleted keys or values in the event that the registry was changed by another program or the OS.

Clicking on the Show Subkeys or Show Values toolbar button will also update the display.


Main Dialog Results List (P)

Results List: The search/replace results (if any) is presented here. You may expand or contract the hierarchy of keys as needed by clicking on the + or - symbols to the left of the folder icons. Double clicking on a highlighted key will open the Search / Replace Dialog. Right click with the mouse to open up the Context Menu.


Registry Toolkit Fax & Mail Order Form

Registry Toolkit Fax/Mail Order Form

Funduc Software, Inc. - Fax and Mail Order Form

Registry Toolkit

Funduc Part Number: 298-RT-5683 (32-bit) (Circle Choice)

298-RT-5664 (64-bit)

Fax Orders:

Fax to the number indicated on the page at
www.funduc.com/contact.htm

Check Orders:

Funduc Software, Inc.
P.O. Box 530904
Livonia, MI 48153-0904
USA

-------- PRINT NEATLY OR TYPE! --------

Price Schedule | Price ($US) Per User | Number of Users | Price
Single user | $ 25.00 | _______ | $________
2 to 9 users | $ 23.00 | _______ | $________
10 to 24 users | $ 21.00 | _______ | $________
25 to 49 users | $ 18.00 | _______ | $________
50+ users | $ 15.00 | _______ | $________
Residents of Michigan, United States - add 6% sales tax |  |  | $________
Preferred Shipping Method Disk (USPS Domestic US) $8.00 S&H |  |  | $________
Disk (USPS International) $10.00 S&H |  |  | $________
Email/e-Delivery (Free) |  |  | $___ 0 __
TOTAL PAYMENT |  |  | $________

Credit Card Information
Card Type (Check One): | Visa[ ] American Express[ ] MasterCard[ ] Discover[ ]
Name as it appears on card: | ____________________________________________________
Credit Card Number: | ____________________________________________________
Expiration Date: | ____________________
Street Address: | ____________________________________________________
Street Address: | ____________________________________________________
City, State Zip: | ____________________________________________________
Country: | ____________________________
Your Information (Write 'Same' if not different from above)
Your Name: | ____________________________________________________
Company: | ____________________________________________________
Street Address: | ____________________________________________________
Street Address: | ____________________________________________________
City, State, Zip: | ____________________________________________________
Country: | ____________________________________________________
Day Phone Number: | ____________________________
Fax Number: | ____________________________
Alt Phone Number: | ____________________________
* EMail Address:* | ____________________________________________________
Signature: | ____________________________________________________
Date: | ____________________________

* Include E-Mail address if you want email delivery.

Comments:


Main Dialog Search or Replace Button

Search or Replace: Click here to perform a Search or Replace.


Search or Replace in Registry - Enable Replacement Prompts

Replacement prompts are enabled in the Replace Tab of the Search / Replace dialog. When enabled, a Replacement Confirmation will be presented at the first replacement or you can preview changes to be made by a search/replace.


Show Subkeys

The Show Subkeys function is available from the Edit Menu, context menu, and the toolbar. When Show Subkeys is selected, Registry Toolkit scans the registry and display all keys below the currently highlighted key. If you are only interested in values & data, use the Show Values function.

Note: If you need to refresh the list of keys in the main dialog - say changes are made via another application or another instance of Registry Toolkit - highlight a key and click the Show Subkeys button. The list of keys under the highlighted key will be refreshed.


Show Values

The Show Values function is available from the Edit Menu, context menu, and the toolbar. When Show Values is selected, Registry Toolkit scans the registry and display all keys, values, & data below the currently highlighted key. If you wish to see only keys but not values/data, use the Show Subkeys function.

Note: If you need to refresh the list of values & data in the main dialog - say changes are made via another application or another instance of Registry Toolkit - highlight a key and click the Show Values button. The list of values & data under the highlighted key will be refreshed.


Show Subkeys Button

Show Subkeys: When Show Subkeys is selected, Registry Toolkit scans the registry and display all keys in the hive below the currently highlighted key. If you are only interested in values & data, use the Show Values function.

Note: If you need to refresh the display, highlight a key and click the Show Subkeys button.


258466 Default rts not found

Default rts not found

This message box indicates that Registry Toolkit needs to create a default configuration file for itself. This message is normal if you are using Registry Toolkit for the first time or if you deleted the file "default.rts" from your Registry Toolkit subdirectory. Click on the OK button to proceed.


Add

Click here to move the highlighted button(s) or separator in the list of Available Buttons to the Toolbar Buttons list. You can then use the Move Up / Move Down buttons to change the placement of the button in the Toolbar Buttons list.


Available Buttons

A list of available buttons is presented here. Except for separators, which may be used multiple times, if a button is already in use it will not be listed. To use a button or add a separator, either: a) Highlight it and click on the Add button in the center of the dialog, or, b) Drag it with the mouse to the "Toolbar Buttons" list.


Close

Accept the toolbar button arrangement as defined in the dialog and close the dialog. If you want to cancel your current changes, click on Reset and then click on Close.


Help

Activates program help.


Move Down

Moves highlighted button or separator down by one.


Move Up

Moves highlighted button or separator up by one.


Remove

Click here to remove the highlighted button(s) or separator in the list of Toolbar Buttons list. They will be placed in the list of Available Buttons.


Rest

Reset

Resets the toolbar to the default arrangement.


Current Toolbar Buttons

A list of buttons and separators currently in use is presented here. To remove a button or separator, either: a) Highlight it and click on the Remove button in the center of the dialog, or, b) Drag it with the mouse to the "Available Buttons" list.


Show Values & Data Button

Show Values & Data: When Show Values is selected, Registry Toolkit scans the registry and display all keys, values, & data in the hive below the currently highlighted key. If you are only interested in seeing keys & not values/data, use the Show Subkeys function.

Note: If you need to refresh the list of values & data, highlight a key and click the Show Values button.


View Menu

The Registry Toolkit View Menu consists of the following functions:

Toolbars: Toggles the display of the Registry Toolkit toolbar buttons at the top of the main dialog..

Status Bar: Toggles the display of the status bar at the bottom of the main dialog.

Customize Toolbar: Activates the Customize Toolbar dialog.

Show Subkeys: Select this to activate the Show Subkeys function. The program will read and display the subkeys below the highlighted key.

Show Values: Select this to activate the Show Values function. The program will read & display the values & data below the highlighted key.

Copy Key Name: Copies the highlighted key name to the Windows clipboard.

Expand All: Select this to expand the available tree from the highlighted point & below. Note the program must have previously read the registry section via a search (or replace), Show Subkeys, or Show Values.

Collapse All: Select this to collapse the available tree from the highlighted point & below.

Refresh: Select this, or press F5, to show modified data and deleted keys or values in the event that the registry was changed by another program or the OS.